commit 8e0476653dd134cee84f4e893f656b2f93c4e3b0
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Oct 4 21:14:01 2016 +0200

    libXi 1.7.7
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit 19a9cd607de73947fcfb104682f203ffe4e1f4e5
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sun Sep 25 22:31:34 2016 +0200

    Properly validate server responses.
    
    By validating length fields from server responses, out of boundary
    accesses and endless loops can be mitigated.
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit 2286282f965064176b3b1492646c6e2e0f4ab7dd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 22 11:20:01 2015 +1000

    libXi 1.7.6
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 13f25bfb55f4a0bc1f614cbf9b0b13a50ecad8a0
Author: Javier Pello <javier.pello@urjc.es>
Date:   Wed Oct 7 12:41:01 2015 +0200

    Fix const compiler warnings
    
    When invoking Data, Data16 and Data32 from XChangeDeviceProperty,
    we must cast the data pointer to the right type, but we do not need
    to cast constness away. This change allows to enable -Wcast-qual on
    the build and have it complete without warnings.
    
    Signed-off-by: Javier Pello <javier.pello@urjc.es>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 380861589690bcbe8b04b7a2c23b5dd5d10c4bf8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 19 11:46:41 2015 +1000

    Don't use raw serial numbers in XIEvents
    
    cookie->serial is an Xlib contoction, provided by _XSetLastRequestRead(). This
    serial may be different to the raw serial number from the wire protocol.
    This causes issues when the raw serial is used to e.g. compare the event to
    other non-XI events.
    
    Use the cookie's serial number instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756649
    
    See also https://bugs.freedesktop.org/show_bug.cgi?id=64687
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f180dff710dc54d00e0e26b84de053151f8f207e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 10 01:16:19 2015 +1000

    libXi 1.7.5
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 05c86e53c0bae30e58b32b94e191c8720990918a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Feb 24 07:49:34 2015 +1000

    Fix version check in _XIAllowEvents
    
    Commit 5810d0797160a97012664ffe719a59e1b288a525 changed _XIAllowEvents() to
    use _XiCheckVersion() instead of _XiCheckExtInit() to avoid a double display
    unlock, but it failed to correctly check for the version, since we should set
    have_XI22 to True for every version greater or equal to 2.2.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c648441036cf5ffc5225cd484e2c906d374f0a4b
Author: Michal Srb <msrb@suse.com>
Date:   Mon Nov 3 12:43:40 2014 +0200

    XIGrabDevice: Unlock display in error path.
    
    Signed-off-by: Michal Srb <msrb@suse.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 29c77457ad86966ae2204b865fb8b437269063c4
Author: Michal Srb <msrb@suse.com>
Date:   Sat Nov 1 20:00:57 2014 +0200

    Refactor XGetExtensionVersion.
    
    _XiGetExtensionVersion was called from XGetExtensionVersion and from
    _XiCheckExtInit. When called from _XiCheckExtInit, nothing accounted for the
    fact that it can return ((XExtensionVersion *) NoSuchExtension) in case of
    error. Also it recursively calls _XiCheckExtInit potentionally causing multiple
    unlocks if _XiCheckExtInit fails.
    -> Remove it and call directly _XiGetExtensionVersionRequest and only call
    _XiCheckExtInit only from XGetExtensionVersion.
    
    Signed-off-by: Michal Srb <msrb@suse.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5810d0797160a97012664ffe719a59e1b288a525
Author: Michal Srb <msrb@suse.com>
Date:   Sat Nov 1 20:00:56 2014 +0200

    Fix logic in _XIAllowEvents and prevent double unlock.
    
    Replacing the second _XiCheckExtInit with _XiCheckVersion prevents possible
    double unlock as _XiCheckExtInit actually unlocks the display when it returns
    -1.
    
    Signed-off-by: Michal Srb <msrb@suse.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f699770e7c92da1dbf16892fde83438f0b79c979
Author: Michal Srb <msrb@suse.com>
Date:   Sat Nov 1 20:00:54 2014 +0200

    XIGetClientPointer: Return False on error.
    
    Not NoSuchExtension which is 1 = True!
    
    Signed-off-by: Michal Srb <msrb@suse.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dc1f8c6ec1ba8135afa185c8e8360c1ed90bf96c
Author: Michal Srb <msrb@suse.com>
Date:   Sat Nov 1 20:00:53 2014 +0200

    Do not return NoSuchExtension casted to pointer as an error.
    
    Several functions were returning NoSuchExtension casted to a pointer in case of
    an error. Often in parallel with returning NULL in case of another error. It is
    undocumented and certainly wrong.
    
    Signed-off-by: Michal Srb <msrb@suse.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 83261c52a17543437882e2863b7f06a92c9039f8
Author: Michal Srb <msrb@suse.com>
Date:   Sat Nov 1 20:00:52 2014 +0200

    XIChangeHierarchy: Add missing unlock.
    
    When num_changes <= 0 or Xmalloc fails, the display has to be unlocked.
    
    Signed-off-by: Michal Srb <msrb@suse.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 22ae8d4f26e92b17e1ce8239a38481933d6f1ca7
Author: Michal Srb <msrb@suse.com>
Date:   Sat Nov 1 20:00:51 2014 +0200

    Fix double unlock when _XiCheckExtInit return -1.
    
    _XiCheckExtInit unlocks the display if it fails and returns -1. Most callers
    account for it properly, but few didn't.
    
    Signed-off-by: Michal Srb <msrb@suse.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 71a42145b678be623e30bd5bf55833a04f14376f
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Oct 27 19:00:36 2014 +0100

    Advance the request buffer by the right amount in XIChangeHierarchy
    
    c->length is in 4-byte units, dptr is a char *, so we need to advance
    dptr by 4 * length to get the position of the next HierarchyChangeInfo.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 8c255b30f3a4ed8bf67e6bb76df47cbd480735f8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jul 18 16:45:51 2014 +1000

    libXi 1.7.4
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b731d1357d993663ee6b28d6627bdeba69b60dd2
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Fri Jul 11 15:13:54 2014 -0400

    Fix locking bugs with XIAllowTouchEvents() and XIUngrabTouchBegin()
    
    Fix two places where the display was double locked when an API
    function chained to an implementation that also locks the display.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0250f40fb7c9cb7d542189b9cd37e0ae75309729
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 10 08:58:48 2014 +1000

    libXi 1.7.3
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit aa628936c7d81ff5fe2da62964dc543c67ec66f1
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Jul 8 17:01:04 2014 -0400

    XIPassiveGrab: Fix completely broken locking in XIGrabTouchBegin
    
    _XIPassiveGrabDevice calls LockDisplay as the first thing it does. That
    means that it expects the display to be unlocked. XIGrabTouchBegin locks
    the display to check for the XI extension, and then never unlocks it.
    Effectively, this meant that anybody that called XIGrabTouchBegin after
    XInitThreads just got a deadlock.
    
    Cool.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit eb0c522e0ce5763b6bf181f1236e78ca94f98b7e
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Jul 8 17:01:03 2014 -0400

    XIPassiveGrab: Fix display locking inside _XIPassiveGrabDevice for error paths
    
    The code here before would just leave the display locked on error, which is
    all sorts of broken.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 288f3362133a36e2c370eb34caf6b5ed6c0764ca
Author: Michael Joost <mehl@michael-joost.de>
Date:   Sat Nov 23 09:51:57 2013 -0800

    Remove fallback for _XEatDataWords, require libX11 1.6 for it
    
    _XEatDataWords was orignally introduced with the May 2013 security
    patches, and in order to ease the process of delivering those,
    fallback versions of _XEatDataWords were included in the X extension
    library patches so they could be applied to older versions that didn't
    have libX11 1.6 yet.   Now that we're past that hurdle, we can drop
    the fallbacks and just require libX11 1.6 for building new versions
    of the extension libraries.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c4b261d230a8ed7c04a140f65d40af86ea73f2fa
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 25 11:46:17 2013 -0700

    man: Update XIQueryVersion docs to match new version compatibility semantics
    
    The X server now allows clients to specify any combination of versions
    starting with version 2.2, document how that works.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b6553cdb36c1bd7071d3bf0493216c5483325716
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 3 10:28:10 2013 +1000

    libXi 1.7.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d804af99e2dfaf20b99822066a37d586f12c8a5f
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Jun 27 17:16:38 2013 +0200

    Remove check that can never be true.
    
    clang warns:
    warning: comparison of constant 268435455 with expression of type
    'CARD16' (aka 'unsigned short') is always false
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 957a9d64afd76f878ce6c5570f369e2a7fc1e772
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 27 08:47:16 2013 +1000

    libXi 1.7.1.901
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 62033a9c83bcdc75b9f1452ce24729eefa8f4dc0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 27 06:25:02 2013 +1000

    Include limits.h to prevent build error: missing INT_MAX
    
    Introduced in 4c8e9bcab459ea5f870d3e56eff15f931807f9b7.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0f3f5a36d5fc6dc53f69f48a0c83aef6a1fcf381
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 28 15:52:34 2013 +1000

    If the XGetDeviceDontPropagateList reply has an invalid length, return 0
    
    If we skip over the reply data, return 0 as number of event classes.
    
    Follow-up to 6dd6dc51a2935c72774be81e5cc2ba2c30e9feff.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 35ae16dc2f16b24a22625b2d9f76a2128b673a6c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 28 15:52:33 2013 +1000

    Change size += to size = in XGetDeviceControl
    
    size += blah is technically correct but it implies that we're looping or
    otherwise incrementing the size. Which we don't, it's only ever set once.
    
    Change this to avoid reviewer confusion.
    
    Reported-by: Dave "color-me-confused" Airlie <airlied@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4c8e9bcab459ea5f870d3e56eff15f931807f9b7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 28 15:52:32 2013 +1000

    Fix potential corruption in mask_len handling
    
    First: check for allocation failure on the mask.
    XI2 requires that the mask is zeroed, so we can't just Data() the mask
    provided by the client (it will pad) - we need a tmp buffer. Make sure that
    doesn't fail.
    
    Second:
    req->mask_len is a uint16_t, so check against malicious mask_lens that would
    cause us to corrupt memory on copy, as the code always allocates
    req->mask_len * 4, but copies mask->mask_len bytes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 661c45ca17c434dbd342a46fd3fb813852ae0ca9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 21 12:23:05 2013 +1000

    Don't overwrite the cookies serial number
    
    serial != sequenceNumber, see _XSetLastRequestRead()
    
    cookie->serial is already set at this point, setting it again directly from
    the sequenceNumber of the event causes a bunch of weird issues such as
    scrollbars and text drag-n-drop breaking.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=965347
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 81b4df8ac6aa1520c41c3526961014a6f115cc46
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 10 00:16:22 2013 -0800

    sign extension issue in XListInputDevices() [CVE-2013-1995]
    
    nptr is (signed) char, which can be negative, and will sign extend
    when added to the int size, which means size can be subtracted from,
    leading to allocating too small a buffer to hold the data being copied
    from the X server's reply.
    
    v2: check that string size fits inside the data read from the server,
        so that we don't read out of bounds either
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ef82512288d8ca36ac0beeb289f158195b0a8cae
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 10 00:22:14 2013 -0800

    Avoid integer overflow in XListInputDevices() [CVE-2013-1984 8/8]
    
    If the length of the reply as reported by the Xserver is too long, it
    could overflow the calculation for the size of the buffer to copy the
    reply into, causing memory corruption.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 17071c1c608247800b2ca03a35b1fcc9c4cabe6c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 10 13:30:55 2013 -0700

    Avoid integer overflow in XGetDeviceProperties() [CVE-2013-1984 7/8]
    
    If the number of items as reported by the Xserver is too large, it
    could overflow the calculation for the size of the buffer to copy the
    reply into, causing memory corruption.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 528419b9ef437e7eeafb41bf45e8ff7d818bd845
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 22:55:23 2013 -0800

    integer overflow in XIGetSelectedEvents() [CVE-2013-1984 6/8]
    
    If the number of events or masks reported by the server is large enough
    that it overflows when multiplied by the size of the appropriate struct,
    or the sizes overflow as they are totaled up, then memory corruption can
    occur when more bytes are copied from the X server reply than the size
    of the buffer we allocated to hold them.
    
    v2: check that reply size fits inside the data read from the server,
        so that we don't read out of bounds either
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 242f92b490a695fbab244af5bad11b71f897c732
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 22:55:23 2013 -0800

    integer overflow in XIGetProperty() [CVE-2013-1984 5/8]
    
    If the number of items reported by the server is large enough that
    it overflows when multiplied by the size of the appropriate item type,
    then memory corruption can occur when more bytes are copied from the
    X server reply than the size of the buffer we allocated to hold them.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bb922ed4253b35590f0369f32a917ff89ade0830
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 22:55:23 2013 -0800

    integer overflow in XGetDeviceMotionEvents() [CVE-2013-1984 4/8]
    
    If the number of events or axes reported by the server is large enough
    that it overflows when multiplied by the size of the appropriate struct,
    then memory corruption can occur when more bytes are copied from the
    X server reply than the size of the buffer we allocated to hold them.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6dd6dc51a2935c72774be81e5cc2ba2c30e9feff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 22:55:23 2013 -0800

    integer overflow in XGetDeviceDontPropagateList() [CVE-2013-1984 3/8]
    
    If the number of event classes reported by the server is large enough
    that it overflows when multiplied by the size of the appropriate struct,
    then memory corruption can occur when more bytes are copied from the
    X server reply than the size of the buffer we allocated to hold them.
    
    V2: EatData if count is 0 but length is > 0 to avoid XIOErrors
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 322ee3576789380222d4403366e4fd12fb24cb6a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 22:55:23 2013 -0800

    integer overflow in XGetFeedbackControl() [CVE-2013-1984 2/8]
    
    If the number of feedbacks reported by the server is large enough that
    it overflows when multiplied by the size of the appropriate struct, or
    if the total size of all the feedback structures overflows when added
    together, then memory corruption can occur when more bytes are copied from
    the X server reply than the size of the buffer we allocated to hold them.
    
    v2: check that reply size fits inside the data read from the server, so
        we don't read out of bounds either
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b0b13c12a8079a5a0e7f43b2b8983699057b2cec
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 22:55:23 2013 -0800

    integer overflow in XGetDeviceControl() [CVE-2013-1984 1/8]
    
    If the number of valuators reported by the server is large enough that
    it overflows when multiplied by the size of the appropriate struct, then
    memory corruption can occur when more bytes are copied from the X server
    reply than the size of the buffer we allocated to hold them.
    
    v2: check that reply size fits inside the data read from the server, so
    we don't read out of bounds either
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5398ac0797f7516f2c9b8f2869a6c6d071437352
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 26 22:48:36 2013 -0700

    unvalidated lengths in XQueryDeviceState() [CVE-2013-1998 3/3]
    
    If the lengths given for each class state in the reply add up to more
    than the rep.length, we could read past the end of the buffer allocated
    to hold the data read from the server.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 91434737f592e8f5cc1762383882a582b55fc03a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 23:37:23 2013 -0800

    memory corruption in _XIPassiveGrabDevice() [CVE-2013-1998 2/3]
    
    If the server returned more modifiers than the caller asked for,
    we'd just keep copying past the end of the array provided by the
    caller, writing over who-knows-what happened to be there.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f3e08e4fbe40016484ba795feecf1a742170ffc1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 22:26:52 2013 -0800

    Stack buffer overflow in XGetDeviceButtonMapping() [CVE-2013-1998 1/3]
    
    We copy the entire reply sent by the server into the fixed size
    mapping[] array on the stack, even if the server says it's a larger
    size than the mapping array can hold.  HULK SMASH STACK!
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 59b8e1388a687f871831ac5a9e0ac11de75e2516
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed May 1 23:58:39 2013 -0700

    Use _XEatDataWords to avoid overflow of rep.length bit shifting
    
    rep.length is a CARD32, so rep.length << 2 could overflow in 32-bit builds
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5d43d4914dcabb6de69859567061e99300e56ef4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 17 09:07:44 2013 +1000

    Copy the sequence number into the target event too (#64687)
    
    X.Org Bug 64687 <http://bugs.freedesktop.org/show_bug.cgi?id=64687>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jasper St. Pierre <jstpierre@mecheye.net>

commit bb82c72a1d69eaf60b7586570faf797df967f661
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 29 18:39:34 2013 -0700

    Expand comment on the memory vs. reply ordering in XIGetSelectedEvents()
    
    Unpacking from the wire involves un-interleaving the structs & masks,
    which wasn't obvious to me the first time I read it, so make notes
    before I forget again.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 26cb4573cbb8808ce9d5c75c16bd613b2f03a368
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 5 09:34:48 2013 +1000

    libXi 1.7.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0358bb20384b759d6d41dc44f3aed30583689d53
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 26 14:46:06 2013 +1000

    Require XFixes for PointerBarrier, remove duplicate typedef
    
    The PointerBarrier typedef is duplicate if a client includes both Xfixes.h
    and XInput2.h.
    
    gcc 4.6 won't complain about that, but earlier versions do:
    http://gcc.gnu.org/git/?p=gcc.git;a=commitdiff;h=ce3765bf44e49ef0568a1ad4a0b7f807591d6412
    
    gcc 4.6 with -pedantic-errors shows:
    /opt/xorg/include/X11/extensions/XInput2.h:172:13: error: redefinition of
    typedef ‘PointerBarrier’ [-pedantic]
    In file included from test.c:1:0:
    /opt/xorg/include/X11/extensions/Xfixes.h:255:13: note: previous declaration
    of ‘PointerBarrier’ was here
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 081e06492c0ffd003d4a0c34418c882332e58ac3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 7 11:16:02 2013 +1000

    libXi 1.7
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9b26b81477cf3486e5aa0ef8d81af68a0f04df1b
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit fb67e7c99b8e95fa667b90837d312a98fa0a8a64
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 236be512c81b76dad711bec481e2139584006c4c
Author: Benjamin Tissoires <benjamin.tissoires@gmail.com>
Date:   Mon Jan 14 18:32:05 2013 +0100

    Add missing XI_RawTouch* in XInputCopyCookie
    
    Looks like XI_RawTouch* events are missing in the big switch in this function.
    When running XIT tests for multitouch devices, several following errors appears:
    XInputCopyCookie: Failed to copy evtype 22
    XInputCopyCookie: Failed to copy evtype 23
    XInputCopyCookie: Failed to copy evtype 24
    
    Signed-off-by: Benjamin Tissoires <benjamin.tissoires@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit db3b9ba3404f6d128e7826aa489a34fd206b20ea
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 26 15:29:43 2012 +1000

    libXi 1.6.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit af9f26510d87eee71f1cd688d7dcfbf173c13943
Merge: 31c6cf9 9e8a55d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Dec 17 14:34:53 2012 +1000

    Merge branch 'barriers'

commit 9e8a55dfcb3dc2b42cd7e08e8e6e65ea1dd54251
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Dec 7 15:47:41 2012 +1000

    man: add man-page for XIBarrierReleasePointer
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 60d7386a1b98cc7760d55d6df1f90e6259d122fa
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Nov 1 17:00:19 2012 -0400

    Add support for pointer barrier events
    
    Signed-off-by: Jasper St. Pierre <jstpierre@mecheye.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f694bd3fcf38213ae787a3ebe4e8b2df8b2dcdc7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Dec 7 14:39:50 2012 +1000

    Bump to 1.6.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 31c6cf9f6fbcc7e90e3d6b7927664cbe54e27edf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 6 10:38:16 2012 +1000

    Fix const compiler warnings
    
    XExtInt.c:80:38: warning: initialization discards 'const' qualifier from
    pointer target type [enabled by default]
    XExtInt.c:150:5: warning: initialization discards 'const' qualifier from
    pointer target type [enabled by default]
    XExtInt.c:151:5: warning: initialization discards 'const' qualifier from
    pointer target type [enabled by default]
    XExtInt.c:152:5: warning: initialization discards 'const' qualifier from
    pointer target type [enabled by default]
    XExtInt.c:153:5: warning: initialization discards 'const' qualifier from
    pointer target type [enabled by default]
    XExtInt.c:154:5: warning: initialization discards 'const' qualifier from
    pointer target type [enabled by default]
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit b4e07e7acc84f68ed2d37557d64d5655cc262ed5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 6 10:27:35 2012 +1000

    Fix compiler warnings
    
    XIQueryVersion.c: In function '_xiQueryVersion':
    XIQueryVersion.c:63:26: warning: declaration of 'info' shadows a parameter
    [-Wshadow]
    XIQueryVersion.c:53:73: warning: shadowed declaration is here [-Wshadow]
    
    XExtInt.c: In function 'XInputWireToEvent':
    XExtInt.c:823:25: warning: declaration of 'i' shadows a previous local
    [-Wshadow]
    XExtInt.c:502:18: warning: shadowed declaration is here [-Wshadow]
    XExtInt.c:850:25: warning: declaration of 'i' shadows a previous local
    [-Wshadow]
    XExtInt.c:502:18: warning: shadowed declaration is here [-Wshadow]
    
    In file included from XExtInt.c:64:0:
    ../include/X11/extensions/XInput.h:166:17: note: previous declaration of
    '_xidevicebusy' was here
    XExtInt.c:101:12: warning: redundant redeclaration of
    '_XiGetDevicePresenceNotifyEvent' [-Wredundant-decls]
    
    XExtInt.c:76:13: warning: redundant redeclaration of '_xibaddevice'
    [-Wredundant-decls]
    In file included from XExtInt.c:64:0:
    ../include/X11/extensions/XInput.h:162:17: note: previous declaration of
    '_xibaddevice' was here
    XExtInt.c:81:13: warning: redundant redeclaration of '_xibadclass'
    [-Wredundant-decls]
    In file included from XExtInt.c:64:0:
    ../include/X11/extensions/XInput.h:163:17: note: previous declaration of
    '_xibadclass' was here
    XExtInt.c:86:13: warning: redundant redeclaration of '_xibadevent'
    [-Wredundant-decls]
    In file included from XExtInt.c:64:0:
    ../include/X11/extensions/XInput.h:164:17: note: previous declaration of
    '_xibadevent' was here
    XExtInt.c:91:13: warning: redundant redeclaration of '_xibadmode'
    [-Wredundant-decls]
    In file included from XExtInt.c:64:0:
    ../include/X11/extensions/XInput.h:165:17: note: previous declaration of
    '_xibadmode' was here
    XExtInt.c:96:13: warning: redundant redeclaration of '_xidevicebusy'
    [-Wredundant-decls]
    In file included from XExtInt.c:64:0:
    ../include/X11/extensions/XInput.h:166:17: note: previous declaration of
    '_xidevicebusy' was here
    
    XListDev.c: In function 'ParseClassInfo':
    XListDev.c:116:33: warning: declaration of 'k' shadows a previous local
    [-Wshadow]
    XListDev.c:109:12: warning: shadowed declaration is here [-Wshadow]
    
    XGetFCtl.c: In function 'XGetFeedbackControl':
    XGetFCtl.c:184:26: warning: declaration of 'i' shadows a previous local
    [-Wshadow]
    XGetFCtl.c:72:17: warning: shadowed declaration is here [-Wshadow]
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit 845550471fcd95d77e8d738ab8798d8e6e568b4a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Nov 7 08:51:23 2012 +1000

    man: add generation of missing man pages for XIGrabTouchBegin
    
    The man page itself already contained the description, but it was missing
    from NAME so the shadow man pages were not generated.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@ubuntu.com>

commit 8c0eb1b6b4017b1e886981dc32cea90f2d4b9b64
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 11 13:33:45 2012 +1000

    man: fix formatting issues in XGetDeviceControl(3)
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ae163b6202d844a46541928d00049b29cbdf930f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 3 16:01:35 2012 +1000

    libXi 1.6.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fd5e000308925f703ecd15c288127ab33a456425
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 23 13:32:59 2012 +1000

    man: update XIQueryVersion for current server behaviour
    
    XIQueryVersion(v1);
    XIQueryVersion(v2);
    
    is now ok as long as v1 <= v2.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f8f44f42eb543ecd944a84facba6c09bf48e7711
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Fri Apr 20 15:30:30 2012 -0700

    Destroy extension record after last display is removed
    
    The extension record is currently leaked and never freed.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2ac185d2fd2b884f4f59a7f7f61f414d139859aa
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 26 09:07:34 2012 +1000

    Set the RawEvent sourceid (#34240)
    
    XI 2.2 and later include the sourceid in raw events.
    
    X.Org Bug 34240 <http://bugs.freedesktop.org/show_bug.cgi?id=34240>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit dfc101e4c6cdac4ff9a51732b2754287fbdc8582
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 26 09:05:24 2012 +1000

    Move version comparison into a helper function.
    
    No functional changes, this simply introduces a version helper function that
    returns -1, 0 or 1 depending on the version comparison result. To be used
    internally only.
    
    Needed for fix to #34240
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 8436c920953f288aea2d6d5f370f8eaaaef82d97
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 15 11:51:41 2012 +1000

    Fix wrong button label and mask copy on OS X
    
    Regression introduced in c1a5a70b51f12dedf354102217c7cd4247ed3a4b.
    
    If double-padding is applied, the length of the mask on the wire may be
    smaller than libXi's mask_len. When copying, only the wire length must be
    copied, with the remainder set to 0.
    When advancing to the button labels, the wire length matters, not libXi's
    internal length.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Tested-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 70b730b0548ca9e408f14f2576b972beb32a0ad0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 8 16:03:50 2012 +1000

    libXi 1.6.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1b9f0394c3d4d3833f8560ae8170a4d5842419ab
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Mar 7 14:52:54 2012 -0800

    Fix XIScrollClass increment value on 32-bit machines
    
    This fixes scroll class increment values on 32-bit machines. Performing
    1UL << 32 shifts the bit off the end of a 32-bit unsigned long value. By
    expanding to 1ULL, we have the full 64-bits of an unsigned long long
    including on 32-bit machines.
    
    Before this change, xinput list --long would output scroll increment
    values of -nan.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c1a5a70b51f12dedf354102217c7cd4247ed3a4b
Author: Michał Masłowski <mtjm@mtjm.eu>
Date:   Tue Feb 21 20:54:40 2012 +0100

    Fix bus error on MIPS N32 for bug #38331.
    
    XIValuatorClassInfo and XIScrollClassInfo might have an address
    of 4 bytes modulo 8, while they contain doubles which need 8 byte
    alignment.  This is fixed by adding extra padding after each structure
    or array in sizeDeviceClassType and adding helper functions to
    determine sizes and padding only in one place.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=38331
    Signed-off-by: Michał Masłowski <mtjm@mtjm.eu>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 34964b05c16161de65709d60799b9ad97ce56296
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 27 15:35:44 2012 +1000

    libXi 1.5.99.3
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b355b7300235395717de06809ee6631ce55d3189
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 27 13:28:52 2012 +1000

    Handle new XIAllowEvent request size
    
    inputproto 2.1.99.6 restored the previous request for ABI compatibility
    reasons, and it introduced a new XI 2.2 specific define.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 07ced7b48219e3bc0c98806f3d7106f86d1b2ca0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 17 21:26:14 2012 +0100

    Force class alignment to a multiple of sizeof(XID).
    
    Calculate length field to a multiples of sizeof(XID). XIDs are typedefs
    to ulong and thus may be 8 bytes on some platforms. This can trigger a
    SIGBUS if a class ends up not being 8-aligned (e.g. after XAxisInfo).
    
    Reported-by: Nicolai Stange <nicolai.stange@zmaw.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit 15feb92b30e13e7439a3434bea9f454645b97444
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 5 13:55:41 2012 +1000

    man: fix typo Mappiing → Mapping
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8576ae6b9ee974829e2fb8a834087652a6e9e1a2
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Dec 22 15:50:47 2011 +0100

    configure.ac: Fix a typo in comments.
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ae0187c8708d2378373889827117911086581fdd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 22 09:42:43 2011 +1000

    libXi 1.5.99.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 47f3d887a7731f4ab68a69ed31dbe7acf6d13270
Merge: 82a6312 e73e2fe
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 21 15:40:37 2011 +1000

    Merge branch 'multitouch'
    
    Conflicts:
    	configure.ac

commit 82a631263ef4e6f46c1f33748089db8bf603b095
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 21 15:33:17 2011 +1000

    libXi 1.5.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e73e2fe95dab3e0048b24d16327adbe54326ff3f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 14 22:33:57 2011 -0700

    Implement support for XI 2.2
    
    Adds support for the new TouchClass for multitouch-capable servers/devices.
    
    New events:
      XITouchOwnershipEvent
    
    New event types handled:
      XITouchBegin, XITouchUpdate, XITouchEnd
      XIRawTouchBegin, XIRawTouchUpdate, XIRawTouchEnd
    
    New functions:
      XIGrabTouchBegin ... passive grabs on touches
      XIUngrabTouchBegin
      XIAllowTouchEvents ... Allow/reject touch event sequences
    
    New XIQueryDevice classes:
      XITouchClassInfo
    
    Requires libX11 1.5 for GetReqSized
    
    Co-authored by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7888d14a499062a1c3b333f31f1330cecf1e97c1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 25 13:30:47 2011 +1000

    Bump to 1.5.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fa6505f0a86b296e8f12f0fb8f472ef17b501fdb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Dec 19 09:36:34 2011 +1000

    man: minor formatting fix in XIGrabButton

commit 49408e39e4b084fe362e9ee197bfa0aa1c55384d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Nov 11 15:32:21 2011 +1000

    Include config.h from source files
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ba83a1e58592e41f207524f106ba26dd71fe4171
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 26 08:55:35 2011 +1000

    Stop unnecessary calls to size_classes
    
    Xmalloc is a macro evaluating its argument twice.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 6d6ae8fc8b9620bf864ac7dff8d818573eee3e4f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 26 08:54:53 2011 +1000

    Fix duplicate sizeof in copy_classes
    
    sizeof(bla * sizeof()) is'nt right.
    
    Plus add some () to the next_block call too to emphasise that *nclasses is
    the multiplicator.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 323730f7fa70190d2ea00e62c6964fee524ca430
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 27 10:27:49 2011 +1000

    man: passive grabs return the number of failed modifier combinations
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5189df57e18c79327848fb117a8ede59868c8fdb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 21 08:49:31 2011 +1000

    man: XIGrabButton returns error codes, not status codes
    
    Reword slightly that the returned value is the error code for this
    particular grab.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 05aaf65b3b6b7dc7268137ce4ee516f08eefb62f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 21 08:07:45 2011 +1000

    man: fix #include for XIGrabButton
    
    Reported-by: Matthias Clasen <mclasen@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c25debae73be50b9a77454ed4d72ffeaab726846
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 10 10:24:38 2011 +1000

    Bump to 1.4.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7ca05f3094958c04e8f78a786061124c58f8e1f3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 28 11:16:42 2011 +1000

    Remove superfluous assignment of lib->classes in XIQueryDevices.
    
    A few lines south from here we malloc lib->classes, this assignment is a
    leftover from 225071e2e67fb65a0258397212f9826c9b25e078.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit e97c3dd00369b47af067e30e910335b199a2f147
Author: Matt Dew <marcoz@osource.org>
Date:   Mon Oct 3 22:05:51 2011 -0600

        1 - fix the capitalization of the ID attriutes to match either the
            <title> or <funcdef> string it goes with.
        2 - fix any <linkend>'s that were affected by 1.
        3 - any <function> in the docs that has an actual funcdef,
            will become an olink.
    
        Signed-off-by: Matt Dew <marcoz@osource.org>

commit 5f9df47340e192d095127e3c7da180b0fb3dc286
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 23 09:04:21 2011 +1000

    Use a separate nclasses variable in XIQueryDevice
    
    No functional changes, just clarifying the code. If we skip over unknown
    classes, lib->num_classes != wire->num_classe. Use a separate variable to
    make that change more explicit and align the code closer with
    wireToDeviceChangedEvent.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 2eb34db82dbd8429594c7ce1d361cabf3571edf1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 21:00:19 2011 -0700

    Make shadow man pages generated by asciidoc work with Solaris man
    
    Solaris man requires .so entries in man pages include the man section
    directory, not just the man page filename, even when it's in the same
    directory, so use sed to add it in.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    
    This may be a temporary fix only. See
    http://lists.freedesktop.org/archives/xorg-devel/2011-September/025219.html
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a43c0a5d2a6cf80df314c96e0b58804dd87868be
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Sep 20 15:11:13 2011 -0400

    specs: refactor and complete copyright legal text
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 552f60789263ad2a1d983cf5b479af63d90f7591
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Sep 18 00:53:56 2011 -0700

    Use AM_CPPFLAGS to use in tree headers before installed headers
    
    This addresses a build failure found by the tinderbox.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 69f2580fd47cfe24105892e9ffb79cd046954b7d
Merge: fc5d478 3ed1b46
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Sep 17 06:41:30 2011 +1000

    Merge branch 'smooth-scrolling'
    
    Conflicts:
    	src/XExtInt.c

commit 3ed1b463205295a5ebba7d570a4cb8dfade51a38
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 17 14:50:39 2011 +1000

    Support XI 2.1 XIScrollClass
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 00382417331d0b38373796fd31757be9fd3e9971
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 2 13:23:32 2011 +1000

    Support XI 2.1 internally
    
    Add the required constants to pretend to support XI 2.1.
    Having named constants for 2.1 seems a bit pointless, so let's just use the
    numbers directly.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit fc5d47895c1361763aa7f088b6d8cb3859e3fda8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Sep 17 06:40:01 2011 +1000

    Require inputproto 2.0.99.1 or later
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4dcbad7e10289317edc22113c1f451d79df221e1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 3 15:46:47 2011 +1000

    man: update property and grab man pages for new constants
    
    Suggest the use of the new XIGrabModeAsync, etc. defines instead of the core
    defines. Add a BUGS section to each man page explaining
    backwards-compatibility.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 14f674296bc23b3cd50f6d302c3064250132c2c1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 22 13:55:56 2011 +1000

    man: fix typo in XIQueryDevice man page
    
    struct name is XIValuatorClassInfo.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 91f928a70246c26cbee00bf59a8e318e9317142e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 17 15:20:48 2011 +1000

    Handle unknown device classes.
    
    If the server sends an unknown device class in response to an XIQueryDevice
    call, no memory is allocated for these classes but we still write type
    and sourceid as well as setting to->classes[i]. The latter causes multiple
    classes to point to the same memory field.
    
    Move the common code of assigning these three into the respective class type
    handlers so to automatically skip any unknown classes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f5b4ff2b4bbac5477af337ed63d019b1f1bc21c9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 15 11:58:31 2011 -0400

    inputlib: restore original title "X Input Device Extension Library"
    
    Somehow the title got changed during troff to docbook conversion.
    Latest troff version:
    ftp://www.x.org/pub/X11R7.0/doc/PDF/XiLib.pdf
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5174411eb67ff672abb3301268bd4fe06851ce3e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 15 11:57:12 2011 -0400

    inputlib: prefix 1.0 with the word Version
    
    To be consistent with all other docs
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b695f07ac85e76c7502a743343aacb2c93318ac5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 15 11:56:33 2011 -0400

    inputlib: fix copyright statements
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d8aea9731674ecb4e313051f866966113473e395
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 12 16:54:45 2011 -0400

    docs: use the &fullrelvers; entity to set X11 release information
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b4690e1d9d0a27e04c7204614c0e88edef210ba7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 11 19:49:54 2011 -0400

    docs: remove <productnumber> which is not used by default
    
    This element is not rendered by default on the title. A template
    customization is required to display it.
    X Window System does not have a product number.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 83a3f9d1b06391d5c25602c0b6a3dba63e7abc81
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 8 20:00:00 2011 -0400

    docbook.am: embed css styles inside the HTML HEAD element
    
    Rather than referring to the external xorg.css stylesheet, embed the content
    of the file in the html output produced. This is accomplished by using
    version 1.10 of xorg-xhtml.xsl.
    
    This makes the whole html docs tree much more relocatable.
    In addition, it eliminates xorg.css as a runtime file which makes
    xorg-sgml-doctools a build time only package.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bd4c9c82e889d737f3488c234659216a218d8eb2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Sep 7 10:31:04 2011 -0400

    docbook.am: global maintenance update - entities, images and olinking
    
    Adding support in libX11 for html chunking caused a reorg of docbook.am
    as well as the xorg-sgml-doctools masterdb for olinking.
    The parameter img.src.path is added for pdf images.
    A searchpath to the root builddir is added for local entities, if present.
    
    The docbook.am makefile hides all the details and is identical for
    all 22 modules having DocBook documentation. It is included by a thin
    Makefile.am which requires no docbook knowledge.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 942dd55eb370e0acea3184de78619766a09f7670
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 3 15:46:47 2011 +1000

    man: update property and grab man pages for new constants
    
    Suggest the use of the new XIGrabModeAsync, etc. defines instead of the core
    defines. Add a BUGS section to each man page explaining
    backwards-compatibility.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit eb5039859810a0fc4e4e594a4a1ccd99c5fecf85
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 22 13:55:56 2011 +1000

    man: fix typo in XIQueryDevice man page
    
    struct name is XIValuatorClassInfo.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 635c2c029b1e73311c3f650bcaf7eeb9e782134b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 17 15:20:48 2011 +1000

    Handle unknown device classes.
    
    If the server sends an unknown device class in response to an XIQueryDevice
    call, no memory is allocated for these classes but we still write type
    and sourceid as well as setting to->classes[i]. The latter causes multiple
    classes to point to the same memory field.
    
    Move the common code of assigning these three into the respective class type
    handlers so to automatically skip any unknown classes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ca73cd3b7630e7eb7d26c61c4af10d35dbce5465
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 12 14:24:26 2011 +1000

    Don't use the protocol defines for 2.0 versioning.
    
    Otherwise we run into the old problem again: recompiling libXi against
    newer inputproto headers will appear to change the version support,
    potentially causing errors or other misbehaviours.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 5a299d1731d3db16ccdd3a66246c81ca522f1702
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 1 16:47:38 2011 -0700

    Fix the FIXME output in man page .TH macros generated by asciidoc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e8531dd6a981c6cf19a1d256c29e886e34e8f51a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Sep 7 15:21:31 2010 +1000

    Add XI2 library-internal array offsets to XIint.h
    
    These defines are currently defined in XI.h and XI2.h. Their only use is as
    offset into a library-internal array. Add them to XIint.h to have them where
    they belong.
    
    These defines do not have any effect on the protocol. They are simply
    offsets into an array for libXi-specific version checking. The defines are
    added to this header for readability, given that we cannot remove them from
    the protocol without potentially breaking clients (who should never use
    these anyway, but...) means they will never get hit.
    
    Future defines for these offsets will only be added to libXi, not the
    protocol.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 653b45b7cc275a560c1ea213216a908c125e443d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 24 10:09:10 2011 +1000

    man: Fix formatting in XGetFeedbackControl
    
    Indent structs to make them more readable, make "Structures" header an
    actual header.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 809c9e936b9f5234de03148376d389fdcfa6d40a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 12 18:39:46 2011 -0400

    Install xml versions of specs even if HAVE_XMLTO is false
    
    DocBook/XML input source is also a usefull output format that can be viewed
    with an XML viewer or editor and by some O/S help system.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 94f585af88a6486148ad6514f1f74eb83ce547ef
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 5 16:27:37 2011 -0400

    Install target dbs alongside generated documents
    
    This matches a change in xorg-sgml-docs whereby the masterdb will look for
    the target dbs into the same location as the generated documents.
    
    The target dbs are now installed alongside the generated documents.
    Previously they are installed in $prefix/sgml/X11/dbs alongside masterdb which
    has the potential of installing outside the package prefix and cause
    distcheck to fail when user does not have write permission in this package.
    
    Requires XORG_CHECK_SGML_DOCTOOLS(1.8) which was released 2011-06-11

commit 2d2581479c64b8b44ab91e90ecb04acd5d106ea2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jun 9 15:59:23 2011 -0400

    make: use AM_V_at rather than AM_V_GEN to prefix the mv command
    
    This will prevent outputting a "GEN" prefix. Moving and removing files
    is not "generating" anything.
    
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f4bdafebaf123c584e1b5e4ff1bc48f7cf4c5b26
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jun 9 15:49:23 2011 -0400

    make: remove unneeded AM_V_GEN silent rule directive.
    
    It happens to be in the middle of the script statement and cause this
    incorrect output:
    
     rm XCloseDevice.man && make
      GEN    XOpenDevice.3
    /bin/bash: line 1: @echo: command not found
    /bin/bash: line 2: @echo: command not found
    [...]
    
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f4930482c24a22c8cdf9da3c96516936ddd1f7b9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 7 14:12:08 2011 +1000

    Bump to 1.4.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 938ef832b892fdefe0d5c2bb4510c91bbbccca9f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 3 15:10:27 2011 +1000

    man: Fix typo in XIChangeProperty
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 597a6a51721d30c4354d1133bb6da6bd2e12446e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 3 15:02:35 2011 +1000

    man: Fix wrong event names in XIGrabButton.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7736957fa2598800c14a88cae1dd7809b184d743
Author: Matt Dew <marcoz@osource.org>
Date:   Tue May 31 20:03:23 2011 -0600

    Add id attributes to funcsynopsis to allow other docs to olink to them.
    
    Signed-off-by: Matt Dew <marcoz@osource.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 9faab2bc0bdd4d98a04e572a7a5201bfcd3bdc70
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 2 16:21:59 2011 +1000

    Use Data, not Data32 in XIPassiveGrabDevice
    
    Data32 takes and iterates over an array of longs, thus skipping every 4
    bytes on LP64. Here we only have arrays of ints, use the normal Data macro
    instead.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 67441d30df756eb715a262d3439865dedd4055e8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 2 14:17:44 2011 +1000

    man: fix missing comma in XIGrabEnter man page

commit 4a694b3f4f5c92d62526ea1c5461c59df86c13db
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 5 09:30:21 2011 +1000

    Silence compiler warning due to differnent event conversion procs
    
    XExtInt.c:161:5: warning: initialization from incompatible pointer type
    
    XSndExEv.c: In function 'XSendExtensionEvent':
    XSndExEv.c:84:8: warning: assignment from incompatible pointer type
    
    Xlib and libXi differ in the conversion functions. libXi takes an xEvent**
    and a num_events parameter since it may split an event into multiple
    xEvents.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fd680f025b1db22b1069aed2f142f670181574e5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 5 09:20:23 2011 +1000

    Silence compiler warning in XListDProp.c
    
    XListDProp.c: In function 'XListDeviceProperties':
    XListDProp.c:72:9: warning: pointer targets in passing argument 2 of
    '_XRead32' differ in signedness
    /usr/include/X11/Xlibint.h:652:13: note: expected 'long int *' but argument
    is of type 'Atom *'
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit aa2432240ad02c54280f2d11c007969c3eb9b79f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 5 09:43:32 2011 +1000

    man: fix typo, layout in XGetExtensionVersion.man
    
    Fix a typo and move from MPX to XI2. Add a linebreak to make the
    depreciation separate from the function description. Changes in the second
    paragraph are just realignment due to the linebreak.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f148a6279f07f029fc6a5b0a6556ff6622e6686a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 2 17:01:52 2011 -0800

    Move Xinput server API documentation from libXi to xserver
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 4cc2b17a3d069b296837edbd6e81af5bbf9821b4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 3 14:51:12 2011 +1000

    Remove a few unused assignments.
    
    Found by static analyzer.
    
    Reported-by: Jeremy Huddleston <jeremyhu@apple.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit cc6feecae23b321952921cf927bc965386844c8c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 3 14:34:22 2011 +1000

    XIChangeHierarchy: Return Success early if no actual changes are requested.
    
    Do the same for negative num_changes.
    
    Found by static analyzer.
    
    Reported-by: Jeremy Huddleston <jeremyhu@apple.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit af65475b1f6b7209750220a74aaad9968d54aaf7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 3 13:21:02 2011 +1000

    Allocate enough memory for raw events + extra data.
    
    Necessary space was calculated, but not actually used to allocate memory. As
    a result, valuator data would overwrite the allocated memory.
    
    ==4166== Invalid write of size 1
    ==4166==    at 0x4C29F04: memcpy (mc_replace_strmem.c:497)
    ==4166==    by 0x8F39180: ??? (in /usr/lib/libXi.so.6.1.0)
    ==4166==    by 0x7433D48: _XCopyEventCookie (in /usr/lib/libX11.so.6.3.0)
    ==4166==    by 0x7425166: XPeekEvent (in /usr/lib/libX11.so.6.3.0)
    ==4166==    by 0x49C3E3: process_key (x11_be.c:1065)
    ==4166==    by 0x49EA5C: event_key_release (x11_be.c:2201)
    ==4166==    by 0x49DD6E: x11_be_process_events (x11_be.c:1892)
    ==4166==    by 0x4A38F4: x11_be_main_loop (x11_be.c:4353)
    ==4166==    by 0x4A39E1: x11_be_thread_main (x11_be.c:4385)
    ==4166==    by 0x87549C9: start_thread (pthread_create.c:300)
    ==4166==    by 0x8A516FC: clone (clone.S:112)
    ==4166==  Address 0x168afe80 is 0 bytes after a block of size 96 alloc'd
    ==4166==    at 0x4C284A8: malloc (vg_replace_malloc.c:236)
    ==4166==    by 0x8F390BD: ??? (in /usr/lib/libXi.so.6.1.0)
    ==4166==    by 0x7433D48: _XCopyEventCookie (in /usr/lib/libX11.so.6.3.0)
    ==4166==    by 0x7425166: XPeekEvent (in /usr/lib/libX11.so.6.3.0)
    ==4166==    by 0x49C3E3: process_key (x11_be.c:1065)
    ==4166==    by 0x49EA5C: event_key_release (x11_be.c:2201)
    ==4166==    by 0x49DD6E: x11_be_process_events (x11_be.c:1892)
    ==4166==    by 0x4A38F4: x11_be_main_loop (x11_be.c:4353)
    ==4166==    by 0x4A39E1: x11_be_thread_main (x11_be.c:4385)
    ==4166==    by 0x87549C9: start_thread (pthread_create.c:300)
    
    Reported-by: Roger Cruz <roger.cruz@virtualcomputer.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 18177afd4fb3934d0a9083c599fb96701eec2ad9
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Fri Apr 1 22:49:09 2011 +0200

    Fix XISelectEvents on 64 bits, strict alignement architectures.
    
    Use Data() to send the struct xXIEventMask on the wire instead of
    Data32() which expects a pointer to a 64bits value on LP64
    architectures.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 75dc4029316c321d8f09fae584024f36c5c85c7f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 27 15:06:18 2011 -0500

    Documentation: add Docbook external references support
    
    When writing technical documentation, it is often necessary to cross
    reference to other information. When that other information is not in the
    current document, additional support is needed, namely <olink>.
    
    A new feature with version 1.7 of xorg-sgml-doctools adds references to
    other documents within or outside this package.
    
    This patch adds technical support for this feature but does not change
    the content of the documentation as seen by the end user.
    
    Each book or article must generate a database containing the href
    of sections that can be referred to from another document. This database
    is installed in DATAROOTDIR/sgml/X11/dbs. There is a requirement that
    the value of DATAROOTDIR for xorg-sgml-doctools and for the package
    documentation is the same. This forms a virtual document tree.
    
    This database is consulted by other documents while they are being generated
    in order to fulfill the missing information for linking.
    Refer to the xorg-sgml-doctools for further technical information.
    
    Co-authored-by: Matt Dew <marcoz@osource.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 32236a7779f721d252d633d06ade306f246421a3
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Mar 18 16:30:13 2011 -0700

    configure.ac: 1.4.2
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2d638fc37b0dbf28e5c826f74f68ada83a8c3e2b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 15 10:55:10 2011 +1000

    Force alignment with sizeof(Atom) for XIButtonClassInfo
    
    The memory layout of an XIButtonClassInfo is
    [struct XIButtonClassInfo][mask][labels]
    
    With the mask being currently 4-byte aligned and labels a list of Atoms. On
    LP64, Atoms are 8 byte, leading to unaligned access for some mask lengths.
    Force the alignment to be sizeof(Atom).
    
    Reported-by: Christian Weisgerber <naddy@mips.inka.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Tested-by: Christian Weisgerber <naddy@mips.inka.de>
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit 477f922fb07eea629f16c55b0a022e836ede6d41
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 8 14:44:10 2011 +1000

    Don't discard extra data for passive grabs.
    
    Failed modifier data was discarded, causing assertions inside xcb.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f0a352412920d9989323c7d33ca75c3646ee3f35
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 8 14:01:35 2011 +1000

    man: describe return value for XI2 passive grabbing calls.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 11b1e8ea7bc160cf9a42231742eedb0e7fefa222
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 9 14:43:03 2010 +1000

    Rename XSetCPtr.c to XISetCPtr.c.
    
    XISetClientPointer is an XI2.0 call and should be named accordingly.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 19ac7ef23e7ff07068a63d1553159e7cb3ad2576
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 9 14:43:02 2010 +1000

    Require XI 2 for all XI 2 calls.
    
    Each XI2 call should check _XiCheckExtInit for XI version 2.0 or higher.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 536bd44c513ede7e61e112c82a80fb9197f261f7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 23 10:53:21 2011 +1000

    Fix typo in comment.
    
    Reported-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4ca8be9f3ffbafe9515e50d784f4ff83f6993be0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 23 09:30:59 2011 +1000

    Fix invalid read in XIGrabDevice.
    
    Miscalculation of length caused Data() to memcpy too many bytes.
    
    ==2865== Invalid read of size 1
    ==2865==    at 0x4A07480: memcpy (mc_replace_strmem.c:602)
    ==2865==    by 0x544271E: XIGrabDevice (XIGrabDevice.c:69)
    ==2865==    by 0x400B0A: main (gnome642481.c:56)
    ==2865==  Address 0x642f614 is 0 bytes after a block of size 20 alloc'd
    ==2865==    at 0x4A04896: calloc (vg_replace_malloc.c:418)
    ==2865==    by 0x54425D3: XIGrabDevice (XIGrabDevice.c:65)
    ==2865==    by 0x400B0A: main (gnome642481.c:56)
    
    SetReqLen() expects 4-byte units.
    Data() expects bytes.
    
    Gnome Bug 642481 <https://bugzilla.gnome.org/show_bug.cgi?id=642481>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4db3db2b38d8eb9024170633d3bf7c5050272dd0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 14 08:48:07 2011 +1000

    Mark sourceid in Raw events as bug and force to 0..
    
    The protocol does not provide a source ID for raw events, so this value is
    always 0. It shouldn't really be there, but the past is so hard to change.
    
    Reported-by:  Mark Dokter <dokter@icg.tugraz.at>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d79a9b174a79e89ca2507a61f2e12af25102313f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Feb 1 07:36:08 2011 +1000

    man: note that callers of XIQueryPointer must free the button mask.
    
    buttons_return->mask is allocated by the library and must be freed by the
    caller to avoid leaking.
    
    Reported-by: Matthias Clasen <mclasen@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1b376f371c2f866cd1cdf047e50210a5c69772b9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:43 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Use AC_PROG_LIBTOOL to replace the deprecated AM_PROG_LIBTOOL
    Remove redundant AC_SUBST(*_CFLAGS) and/or *_LIBS
    Remove redundant AC_PROG_MAKE_SET included with AM_INIT_AUTOMAKE
    Remove redundant AC_CANONICAL_HOST included in XORG_DEFAULT_OPTIONS
    Add AC_CONFIG_SRCDIR([Makefile.am]) where missing
    Update minimum version of util-macros to at least 1.8.
    
    One or more of the above actions were applied
    No functional configuration changes
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit faff510fed9733b2860e14490d5a40d70b840eae
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3776075264024af7eca93f689305d46302e88536
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 12:07:46 2011 -0500

    config: remove already included AC_PROG_SED statement
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Use the appropriate platform version of sed
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5283e87ca909304d3e1820ef877bf3587a9c8724
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:15 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit be2a1b33c9394dcab52622bde53c83f1dd840ea0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jan 26 07:42:53 2011 +1000

    libXi 1.4.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e0c95ce2348a9c9afaa4862368c7a5ae6913457c
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Jan 24 12:35:04 2011 +0100

    Fill in mods/group->effective in XIQueryPointer()
    
    the other XIModifierState/XIGroupState fields are being set correctly,
    but the "effective" field was being left as undefined memory.
    
    Signed-off-by: Carlos Garnacho <carlosg@gnome.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a5961a8459614fcaa801a47cda07d3ee8246b16f
Author: Philipp Reh <sefi@s-e-f-i.de>
Date:   Mon Jan 10 17:35:57 2011 +0100

    Fix passive grabs.
    
    _XIPassiveGrabDevice, which is called by alle the passive grab functions,
    wrongly returns an error when it shouldn't.
    The attached patch adds the missing "not" to properly test the error
    condition of _XReply.
    
    Signed-off-by: Philipp Reh <sefi@s-e-f-i.de>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 408db9e86a92c897390129ef27a804d7cf6ba6fb
Author: Paulo Zanoni <pzanoni@mandriva.com>
Date:   Thu Dec 16 14:10:05 2010 -0200

    Use docbookx.dtd version 4.3 for all docs
    
    Signed-off-by: Paulo Zanoni <pzanoni@mandriva.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9419fe9f0b21232d342885a693fbf9222b5844e4
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Dec 13 19:49:58 2010 +0000

    WireToEvent: Set display member of all events as well
    
    All events were getting random uninitialised garbage for display; fix
    that.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

commit 549dd5f470148df74e65ce7bb1af316a2848a71d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 9 13:04:55 2010 -0500

    config: HTML file generation: use the installed copy of xorg.css
    
    Currenlty the xorg.css file is copied in each location
    where a DocBook/XML file resides. This produces about
    70 copies in the $(docdir) install tree.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ea7e12eaf84ada28f4933e85ecf51a47c9db0b93
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Nov 2 14:26:34 2010 +1000

    libXi 1.4
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 556246beaffb42e1f58d816542d91e360ea02080
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Nov 2 11:22:01 2010 +1000

    man: XGetDeviceProperty(3) has no parameter 'pending'.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit ccbebb111fb2084716fce67cb44b5bd8b86adbbc
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:30:03 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f237427f897d1dc527494653735d4bb93d740546
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Oct 6 11:04:21 2010 +0200

    Fix typo when converting raw events from the wire.
    
    The raw values were being miscalculated, containing only the integral part
    of the FP3232, meanwhile normal valuators were mistakenly added the fractional
    part of its corresponding raw value.
    
    Signed-off-by: Carlos Garnacho <carlosg@gnome.org>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit abc26c71b6032683b89085a7ebcd40ca81cdf3f2
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Oct 3 17:04:57 2010 +0200

    man: fix typo in XIQueryDevice doc
    
    Don't pretend this is XIQueryPointer.
    
    Debian bug#598964
    Reported-by: Joachim Breitner <nomeata@debian.org>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit a00926cd16a0b6ddb9f7b074dce88e3fb840831c
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Wed Aug 25 22:21:55 2010 +0200

    Fix build with gcc 2.95
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3f2814a0f9193cb33b44ef53059a4b349cf4cabc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 2 15:40:32 2010 +1000

    man: improve readability of XAllowDeviceEvents.
    
    Parse the options to event-mode as a list. This requires un-indenting the
    rest, otherwise the asciidoc/xmlto conversion will indent the trailing
    paragraphs more than the list
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d3eb99478ca96fdfc4ceb2a9809f19f803bba6c7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 15 18:05:13 2010 -0400

    man: add $(AM_V_GEN) for silent rules where missing
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit dbcca7e1296ae671964c55be13bfbb9113a600a0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 15 17:46:52 2010 -0400

    man: whitespace management
    
    This style should make it easier to read filenames
    in a large list.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bc9f68de51ec7d3d88330ff843eccd6cbf9a93ad
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 15 12:53:04 2010 -0400

    man: Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    
    The value of MAN_SUBST is the same for all X.Org packages.
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 20b843c820dd147a0f8f7e6d06da7a0c18d40f1c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 15 09:33:17 2010 -0400

    man: add/change comments regarding the 3 step conversion from text source
    
    In the hope of making it easier to learn.
    This makefile may serve as a reference.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e7b4e33a3ea1a3cce074da2d91bda7258e01652a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 15 07:54:39 2010 -0400

    man: rename libman_pre to libman_PRE
    
    To be consistent with all other man pages makefiles.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d854293a63be4a983e3e8fe8a1110a5ea1ffba2a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 15 07:32:10 2010 -0400

    man: use "shadows" terminology in variable names.
    
    For man pages that are just links to a main man page.
    This is how they are referred to in all other librairies.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9fe6bfec833a66a3a8ca70b8769eada91a320bf7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Aug 14 21:41:51 2010 -0400

    man: remove used LIB_MAN_DIR_SUFFIX (part of an unrequired broken fix)
    
    Local fix in CVS for bug 5628 is not required
    as the problem has been fixed in
    util-macros d9062e4077ebfd0985baf8418f3d0f111b9ddbba
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8daf961d0fe6a1433c8248d984618a7e22ff88b8
Author: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
Date:   Fri Jun 18 11:32:36 2010 +0300

    Always unlock display correctly
    
    XISelectEvents and XIGetSelectedEvents were not unlocking display in all
    return paths.
    
    Reported-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Pauli Nieminen <ext-pauli.nieminen@nokia.com>

commit 3a6839b4a229aa59188025c9b285023110a20aad
Author: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
Date:   Mon Jun 14 10:37:56 2010 +0300

    Use single error path in XGetDeviceControl
    
    This reduces code duplication and fixes possible leak of d. d would leak if
    allocation of Device fails.
    
    Signed-off-by: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 850288fee663c07fbd491859629543f78bbadd3c
Author: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
Date:   Mon Jun 14 10:37:56 2010 +0300

    Use single error path in XGetFeedbackControl
    
    This reduces code duplication and fixes possible leak of f. f would leak if
    allocation of Feedback fails.
    
    Signed-off-by: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 9ca839742b49d49e98a17baa40c9662ee76c397f
Author: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
Date:   Mon Jun 14 10:16:22 2010 +0300

    Use single error path in XQueryDeviceState
    
    This reduces code duplication and fixes possible leak of data. data would
    leak if allocation of state fails.
    
    Signed-off-by: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit b953bf7b9775e5970776a21ae3f7919592289c92
Author: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
Date:   Mon Jun 14 10:05:36 2010 +0300

    Fix memory leak in XIGetSelectedEvents
    
    mask_in was leaking for every successfull XIGetSelectedEvents.
    
    Signed-off-by: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 6199f89992e2b6ba5f96833f4f4087b61ca61ac5
Author: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
Date:   Fri Jun 11 17:30:44 2010 +0300

    Fix usage of uninitialized value
    
    In error case length of extra data could be uninitialized. This would
    result randomly sized request later in function.
    
    Signed-off-by: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit d364aaaa47a69789b7acfd54b625caa299780480
Author: Matt Dew <matt@osource.org>
Date:   Sat Jul 10 09:48:13 2010 -0400

    specs: convert input .ms specs from xorg-docs module to DocBook XML
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 30b076ea0b761c4a94c275be273accf311dc81c2
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 06:58:28 2010 -0300

    Purge macros NEED_EVENTS and NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 54fbe5759aa961dccc618b35573845f847675570
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Apr 9 17:31:00 2010 -0700

    Don't unlock the Display twice.
    
    _xiQueryVersion's caller must wrap it in a LockDisplay/UnlockDisplay
    pair, so it shouldn't call UnlockDisplay itself.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit f7c3b023f04e06dfe380dce488f80943a10be57e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:34 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e48a8569f854237f2fead7c7a75e90b6c5fe8693
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 93aca1583dcdd21d79c7ab75d81a49359523a0e2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Mar 11 10:16:51 2010 -0500

    doc: specify minimum version for xmlto and ascidoc
    
    Specify 0.0.20 as the minimum version for xmlto.
    Older versions do not have fop backend.
    
    Specify 8.4.5 as the minimum version for ascidooc.
    Older versions stop with errors.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 299de21b2ab3cfa2078823215f84da67e7b3d1a3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 9 13:59:57 2009 +1000

    Initialize extension with the right number of events.
    
    If the server supports a lower XI version than the client, the Xlib-internal
    event vector may be smashed. See libXext for more details.
    http://cgit.freedesktop.org/xorg/lib/libXext/commit/?id=83fdb27df4ddc2fb088ddf2ec65f0db6b7c57287
    
    This patch queries the server for the supported XI extension before
    registering the extension with Xlib. The number of events registered depends
    on the server version.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 4debc545611edd35f8fd35a52f4adf4263e49200
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Feb 16 10:37:21 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d7e421f97db74332783ae885f6835f84133c92b5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Feb 18 16:52:12 2010 +1000

    man: fix types for XGetSelectedExtensionEvents.
    
    The return values are of type XEventClass** and int*, respectively.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit b75b8fa4bda0fb18872fa82a04fe7f609a147f8b
Author: Dan Nicholson <dbn.lists@gmail.com>
Date:   Tue Jan 26 09:17:12 2010 -0800

    Need both xmlto and asciidoc to install man pages from a checkout
    
    The check for whether to build the pages looked for both xmlto and
    asciidoc, but the check to install didn't. Refactor a bit so that the
    check is done only once.
    
    Signed-off-by: Dan Nicholson <dbn.lists@gmail.com>
    Tested-by: Gaetan Nadon <memsize@videotron.ca>
    Tested-by: Christian Hartmann <cornogle@googlemail.com>

commit f10f6f2fd420786cddac875d1b6de2004ba8c9d4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Jan 23 14:46:59 2010 -0500

    man: remove redundant nodist prefix to libman_DATA
    
    The final, macro substituded, man pages (with file extension .3
    on my platform), are installed, but not distributed. There is no
    need to override the correct default behaviour.
    
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c183e15263787af913bf8eb7be707e0f2e974824
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Jan 23 10:04:38 2010 -0500

    man: allow installing prebuilt man pages from tarball
    
    The man pages source may be supplied in the tarball or built
    from git. The makefile needs to take that into consideration
    and adjust the targets accordingly.
    
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c94494c144c634b7fa3187c55458cafa0e06a69c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 19 13:44:49 2010 -0500

    config: replace custom code with reusable macro XORG_WITH_XMLTO
    
    XORG_WITH_XMLTO provides additional functions like a configure
    option which allow platform builders to control the usage of
    the xmlto program.
    
    This is a requirement from platforms that do not have such doc tool.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bb07265cfbd919de4903dadbfe42d1779c20225c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 14 09:22:08 2010 -0500

    COPYING: add missing copyright notice
    
    Refer to: XiAllowEvents.c
    Copyright © 2009 Red Hat, Inc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 20f1b09cfdeeb2e4536e82a09b32693de65f3566
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 21:39:47 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d42cdd631728eae399287b666f0f445e7af47ad3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 1 13:43:03 2010 -0500

    man: ignore generated .man from .txt files in this directory
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9620cfa989d214a4d97c74767c218d06ed2ac792
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:04 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit d157e3b4ac31710fb1d4d62f1cc4fa743ec61522
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 847b72d9de8dd839c391321b50312368e63e7305
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit f1c7f651838c7f2f33c0c9f9306d8d6df36206c7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:43 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit a9a766f9dd0e8cf32e576c040d1604422193ab07
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 63621888d6e36a2f9e41e81c14728d70beeff5ee
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 2 12:09:17 2009 +1000

    libXi 1.3
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9dc825a3dede81d2425770662daefe7e19644d6d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 2 12:08:30 2009 +1000

    Require macros 1.3 for XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3530845c70b0d7f9f853b29337c9397a3a599e52
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Sep 29 14:15:06 2009 +0200

    Don't export sizeDeviceClassType, size_classes and copy_classes
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 801d77d035a10250dab728c046a6e9b2775e6dfb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 24 14:14:48 2009 +1000

    XQueryDeviceState: correct length of XValuatorState
    
    The length is suppposed to be the complete class size, not just the struct
    size. Since XValuatorState is followed by multiple valuator values the
    size of the class is variable and dependent on the number of valuators.
    
    The server assembles the valuator state last. This bug is unlikely to affect
    clients as they should never go past the last class anyway.
    
    Tested-by: Thomas Jaeger
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bff36ef5797d7da11972ee22ea224e207af77455
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 24 13:10:26 2009 +1000

    man: correct XQueryDeviceState return value.
    
    And one indentation fix in the same man page.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9c5ba6ff3fcff30507f285f2e67afbdb296a2318
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 14 16:34:18 2009 +1000

    Declare _xibad* functions before the Bad* macros.
    
    Reported-by: Christian Beier
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 369600cf37cd884793c4802a56c8355bc1812dc6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 7 12:22:06 2009 +1000

    mask_len in XIGrabDevice is in 4-byte units (#23708)
    
    X.Org Bug 23708 <http://bugs.freedesktop.org/show_bug.cgi?id=23708>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fa09375a69a02cd789c70d60970a669700eaeb20
Author: Arkadiusz Miśkiewicz <arekm@maven.pl>
Date:   Sat Sep 5 20:39:47 2009 +0200

    libXi: Man page files end with LIB_MAN_SUFFIX not LIB_MAN_DIR_SUFFIX.
    
    Using LIB_MAN_DIR_SUFFIX as man page files suffix is invalid since
    there can be files ending with eg. 5x while being in man5 dir
    (share/man/man5/man.5x) as required by FHS 2.3.
    
    Man page files and with LI
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 693d9a43f16d4ffd085099b532a10467aa095c17
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Sep 1 16:42:38 2009 +1000

    Initialize send_event for cookie events. (#23609)
    
    X.Org Bug 23609 <http://bugs.freedesktop.org/show_bug.cgi?id=23609>

commit eb9a2d63487641faa97d88cef3fa1c892a8f342f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 25 11:03:04 2009 +1000

    Bump to 1.2.99.4

commit 2ce629c30745fc4027d2a95745bf21e8d8c7b893
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 25 09:55:23 2009 +1000

    Remove the asciidoc warning from configure.
    
    This warning was put in when the released version of asciidoc required an
    additional patch to build libXi.
    The release of asciidoc 8.4.5 included this patch thus we don't need this
    explicit warning anymore.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 17bbc8c30fb34c7130b71e5cc0b0e17093271266
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 24 15:54:09 2009 +1000

    man: fix XIQueryPointer parameter ordering.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 207a7f3d5bd559ffb67de2910795d7cd6508ce09
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 24 15:31:55 2009 +1000

    Update XIWarpPointer to take doubles (inputproto >= 1.9.99.902)
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a8a8b40fa447c85eb5d1d61ef416d3cf198c72c1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 18 15:21:56 2009 +1000

    man: XIDefineCursor can generate BadDevice errors.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 326a0c01ef6e3c1f0577e185c23eec80ecf59192
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 18 15:08:50 2009 +1000

    man: typo fixes in XIUndefineCursor, add BadCursor note.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 42a718457d183aab42778fbb127fafbae6b3e6d8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 5 16:00:44 2009 +1000

    man: point out temporary detachment of slave devices.
    
    Affects XIGrabDevice, XIGrabButton/Key and XIGrabEnter/GrabFocusIN
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1a5f4fd2fa3ac7cfa1671d5cf0975ff365294f29
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 5 15:58:57 2009 +1000

    man: fix XIGrabEnter man page - text with needed to be reduced.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0d19a3ec942aedf5432a9bda1e80f29f7186ce5b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 5 15:34:10 2009 +1000

    Update library version for new symbols.
    
    XI2 adds a whole lot of new symbols but leaves the existing ones. Minor bump
    only.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 936f4993a9ece131aff03cf789b8c21cadaed47e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 5 08:50:20 2009 +1000

    man: correct XListInputDevices description of the name field.
    
    A device's name is the identifier set either by the server the
    xorg.conf/HAL. The preconfigured device types (XI_MOUSE, XI_KEYBOARD, etc.)
    are atoms listed in the type field only.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bc3900ea706438005f8b5613de4d9fb6bd954f62
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 4 14:03:44 2009 +1000

    Cosmetic fix, move a 'char*   name' to 'char   *name'
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 30de3da4c87322a73b2ab72e6ac83f689ec42adf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 4 13:26:45 2009 +1000

    Allow foreign automake, remove empty AUTHORS and NEWS.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4d8676a859a2a8ebde03d8a9fe6bd79060f16cf5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 4 11:45:53 2009 +1000

    man: add XIQueryDevice and XIFreeDeviceInfo man page.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c5a5d1800566b0ec073418a827ed5bc8195dd24e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 4 10:48:50 2009 +1000

    Remove leftover RCS tags.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit aa8272dd31b69f84d19dbe2c45889b806df8260e
Author: Dan Nicholson <dbn.lists@gmail.com>
Date:   Mon Aug 3 06:09:12 2009 -0700

    man: missing .man suffixes in prereq rules breaks parallel make
    
    Signed-off-by: Dan Nicholson <dbn.lists@gmail.com>

commit 888f6c238de6f09cc5b079ae22c6f37496083007
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 22 14:16:11 2009 +1000

    Bump to 1.2.99.3

commit c439c39cc0f985743fbc464849f6caa805b1a1a9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 21 11:41:43 2009 +1000

    Replace keysym grabs with keycode grabs.
    
    Keysym grabs are tricky to get right for applications that are more
    complicated than demo applications. otoh, we know keycode grabs are
    working.
    So let's go with keycode grabs for now and add keysym grabs later
    when we've sorted out the details.
    
    Requires inputproto 1.9.99.15
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4f224f4da1405959b74c05d6b15469cf6c0c498f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 15 10:27:21 2009 +1000

    Fix wrong raw_valuator wire copy, add fractional parts.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 550a33ed79925501d9a5e8b73ef256fd9e0937b5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 14 15:28:00 2009 +1000

    man: fix wrong parameter in XIGrabKeysym man pages.
    
    XIGrabKeysym doesn't provide a cursor argument.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 504a5a770bd1d34ea7edc3b94815b2b98a61afc0
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Jul 13 16:53:57 2009 +1000

    Add flags to XIDeviceEvent and XIRawEvent.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 94bfb0cc3ebbefe548b440f8c5e14154c3a76440
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jul 13 15:37:32 2009 +1000

    Cater for new event-specific raw event types.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e600e6cf47abd61bd3554967c4fdb0f78cc68f41
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jul 13 15:37:59 2009 +1000

    Fix broken formatting, remove empty comment.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1fc161f058eecb61d37135fd024703a385769417
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jul 13 09:14:03 2009 +1000

    Bump to 1.2.99.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 386283e4a6653eef5e92bad8867b64a3e10a5138
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jul 13 11:34:20 2009 +1000

    Reshuffle deviceid + sourceid in XI2 events to allow for common typecasting.
    
    Except for two events, all events include a deviceid. Place it at the same
    position in the struct for these events to allow quick checking with common
    typecasts.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d02c85fbd2a204a78a9d515960d817ed37e3d492
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jul 13 11:24:35 2009 +1000

    Add the deviceid to XI2 property events.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 07d7fc323367ac93c3c26eaf130284e31aa961ea
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jul 13 11:05:33 2009 +1000

    Plug memory leak in XIHierarchyEvent copy.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 753fb6afb13a7ce154cd24261eadb56c3f4243c5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jul 13 10:05:33 2009 +1000

    Fix segfault in XIDeviceChangedEvent wire parsing.
    
    Introduced by 225071e2e67fb65a0258397212f9826c9b25e078.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9d92265081830b700926b4a7b73975dd65217551
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 9 13:46:52 2009 +1000

    Remove padding from XIEvent.
    
    The padding was originally to force the same size as the XEvent struct. This
    only works on 32 bit however, the 64-bit XEvent struct is larger.
    Let's just ignore the padding, there's no point to it anyway, all the Xlib
    functions require XEvents anyway.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4dacd34cc05054a0ab26621aaec8125b2ffe5bbf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 8 16:00:57 2009 +1000

    Add event copying for raw events.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 79b1ee174bb08722198e6d00c9d1a1e9e9352b8a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 8 15:42:58 2009 +1000

    Switch to new XIEvent structures - no need for pointers anymore.
    
    This removes all those pointers from event structures that were just there
    due to the pre-cookie struct size limit. Pointers remaining are only those
    that are of variable length (e.g. masks and valuator states).
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 64a106509ba18506e88989571c1392d48ae18a54
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 8 15:18:57 2009 +1000

    Remove XIFreeEventData - obsolete with cookie events.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ba0407100fd1314feb8dc0eace4352d00709cab3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 24 11:18:10 2009 +1000

    Add effective modifiers/group to events - require inputproto 1.9.99.13
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d6439bc4c5c26577d0c839555a85bd1a9db784f3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 24 10:09:42 2009 +1000

    Change floats to doubles in DeviceEvents and EnterEvents.
    
    All the other bits use doubles, there's no reason to use floats here.

commit 225071e2e67fb65a0258397212f9826c9b25e078
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 7 16:46:22 2009 +1000

    Split copy_classes and size_classes to avoid memory leak
    
    The switch to cookie events introduced a memory leak in
    XIDeviceChangedEvents.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 55157345c261653160e0f55841dcb32910ae4106
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 2 11:41:40 2009 +1000

    Use cookie events for XI2 events.
    
    Instead of squashing the events directly into the XEvent use the new libX11
    cookie events. This allows us to have larger events without the 96 byte
    restriction.
    
    Requires libX11 1.2.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0e2be045663045dc087f21df95de91f824322915
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 8 11:07:56 2009 +1000

    Add next_block() call to advance pointers over memory.
    
    Simple call to get the pointer to the next field when operating on a wire
    protocol struct or on a single-memory-block Xlib structure.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c81a383f11c87976454200805b4b5416a414b4c5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 24 10:06:29 2009 +1000

    Add typedefs for focus in/out events.
    
    The events themselves are the same as enter/leave events.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d3d00ddb93f01690ba81ce9ec504c1b352f5539d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 19 15:48:32 2009 +1000

    man: add some missing XI2 refpages
    
    These missing pages may cause parallel builds to fail.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 47aeafbbd30800fa9a7a1136cb4fdb50cebe005f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 17 09:15:48 2009 +1000

    Require inputproto 1.9.99.12
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a514d16c4535890e5aa2b5835d9a571155830251
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 17 09:00:10 2009 +1000

    Axis and button labels should be called labels, not names.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 099e6f77482e971103570cfd38092c3839f94927
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 16 14:20:30 2009 +1000

    Protect button label copying against 64-bit Atom madness.
    
    Datatype Atom is 8 bytes on 64 bit architectures, but it's always 4 bytes on
    the wire.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bd2a3ad028a87f76ad244efe3650d7efd3a700dd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 16 13:24:34 2009 +1000

    Include the current valuator state in XIQueryDevice.

commit 1ca170b8d19b1170356a1edf4717cd4a95671a13
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Jun 14 08:40:59 2009 +1000

    XIButtonClass now includes a XIButtonState struct.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4ec5f70a813ba08bfcea7b2ff90f7647a94a95d7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 12 16:34:13 2009 +1000

    Fix a few wrong 'evtype' comments.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e018af45b7d0db784272fc9fc548bce382799144
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Jun 7 17:56:17 2009 +1000

    Add sourceid to device classes.

commit 5f217c70a42b743e7260035bd02065eca39bc268
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 12 15:51:58 2009 +1000

    XISelectEvents and XIGetSelectedEvents use "win" now instead of "window"
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 92e5ad0a641d84cf4464f37ac372724a808a785f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jun 8 15:43:24 2009 +1000

    Require inputproto 1.9.99.11.

commit 467bfbc6598c8c30ab9b703160cc42ae82e75f1c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jun 8 14:21:58 2009 +1000

    XIHierarchyEvent should list num_info, not num_devices.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0254852c8fb0793401368c7afc6041f807ee1d87
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jun 8 13:34:50 2009 +1000

    Rename XICreateMaster to XIAddMaster for consistency.
    
    add/remove is used for slave devices and for flags, so we should use it in
    XIChangeHierarchy as well.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4a61fe9f05b8e7214303722dd12195488df9c599
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jun 8 13:37:38 2009 +1000

    Silence warning: missing prototype for copy_classes
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 05531681e5175b823935e6bdfc53c9b5f63efc9d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Jun 7 15:00:40 2009 +1000

    Remove CamelCase use from XIChangeHierarchy.
    
    Everything else uses underscore notation.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 45d35bcfbe2acd4dd2b560dbc21266e915cbb1e6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Jun 7 14:59:19 2009 +1000

    man: XIChangeHierarchy uses device ids, not XDevice*
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 199dd64b809c7622b0f0bd94e1c5551c931ea1e5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Jun 7 14:55:42 2009 +1000

    Hierarchy changes should use "deviceid", not device.
    
    Every other call/interface uses deviceid, so change for consistency.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 27d39fdbfddec6bb92ee3d3b7ef6c21ab3026926
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jun 4 07:33:29 2009 -0700

    Fix typo in man/XGetDeviceProperty.txt (wether->whether)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e43d88541e815aa64108a6c5bc3dae5816c822dc
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Jun 4 16:29:20 2009 +0200

    Fix building if asciidoc or xmlto is not installed.

commit 5975cb9e6f89bf71b1740cee951fc583d7b7cfc1
Merge: 8ea9ebc 279a8c3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 4 15:49:07 2009 +1000

    Merge branch 'master' into xi2
    
    Conflicts:
    	man/XI.xml

commit 8ea9ebcedcb99480a5774c7755329a2ca8fda07b
Author: Benjamin Close <Benjamin.Close@clearchain.com>
Date:   Wed Jun 3 10:25:40 2009 +1000

    configure: Search for sed as required by the man pages.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d5a69432887ba79495e58bef45ec8fc2f5dfbe1e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 2 14:54:03 2009 +1000

    Fix typo in Makefile.am, leading to the XI2 source skipping compilation.
    
    Introduced with 59dc570e6ad4adab8066c7b8d2bff77cbf70bed4.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5500d5b6f9fe3b94d68046529fbf6c80e5a4f518
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 2 12:49:40 2009 +1000

    man: resurrect XGetDeviceProperty man pages (and associates)
    
    These man pages got lost in the asciidoc conversion.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d0be870ee7798deb8cb50cdf350892c9dfc64538
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 2 12:18:58 2009 +1000

    Add XI2 property man pages.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8439d93ef77a934fab171ff9385277f3f2f46213
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 2 11:46:56 2009 +1000

    man: fix copy/paste errors in XListDeviceProperties.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 59dc570e6ad4adab8066c7b8d2bff77cbf70bed4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 2 11:38:35 2009 +1000

    Rename remaining XI2 sources to XI<foobar>.c
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2174d35d5cdc475699be968a0c1b1aa82566171f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun May 31 21:29:47 2009 +1000

    Return BadRequest from XIQueryVersion if XI2 isn't supported.
    
    XIQueryVersion (like all other calls) makes sure XGetExtensionVersion is
    called beforehand anyway. So if that doesn't match 2.0 or higher, return
    BadRquest before issuing the real request (which would trigger a BadRequest
    error). This way, clients can use XIQueryVersion without having to set up
    the error handler.
    
    XIQueryVersion is now guaranteed to return the server-supported version.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b1dedc1293a854360d44856cd603d339ce95c777
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jun 1 09:54:03 2009 +1000

    Use Dont_Check for most XI2 requests.
    
    If a client issues an XI2 request against a non-XI2 server it should
    generate a BadRequest error from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4d962ed1841f35aa255bbec89e37f396612cfd96
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 25 16:34:01 2009 +1000

    Add support for Enter/FocusIn passive grabs.

commit 7922430e0d063b0c3617050320d613d9dc7de7ba
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed May 27 14:15:49 2009 +1000

    Require inputproto 1.9.99.10

commit a2a09f6a4fb2dcd36f89fccc8efd8386eca7d804
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed May 27 14:13:54 2009 +1000

    Fix wrong pointer argument in _XIPassiveUngrabDevice.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9b9f9373f32ebe9a15f286d16b6ba880b44a9c22
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 25 12:45:52 2009 +1000

    Add XIGetSelectedEvents.

commit 13ce4a03824a7c5ac0270198d265b02b18786e1f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 19 13:54:33 2009 +1000

    XIPassiveGrab: take the address of modifiers for memcpy, not the value.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7f1f0b9cf8ad17b5a4694406137a1c2114918a67
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 18 16:18:27 2009 +1000

    XIQueryPointer: fix wrong reply extra data reading.
    
    libXi does it differently than the server, so don't try to access &reply[1],
    instead use _XRead as it should be.
    
    Reported-by: Mark Dokter
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit db94dc37529fc3e5e3decad67d312ea108e860d2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 18 15:14:03 2009 +1000

    XIQueryPointer should return doubles for the FP1616 wire data.

commit 615545f9cba36ab7732d2325970a7c84b2fa6e8c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 15 14:16:31 2009 +1000

    Switch man pages to asciidoc.
    
    The docbook xml is unreadable and unwritable. Switch everything to asciidoc,
    at least thay we we can write man pages without losing sanity.
    
    asciidoc seems to have some issues with __libmansuffix__, so instead we just
    use libmansuffix (without underscores).
    The current asciidoc version is buggy for multiple man targets (more than
    one man page in a single file), so stick a big warning into configure that a
    patch is required to the the right asciidoc->docbook conversion.
    
    Many thanks to Dan Nicholson for the Makefile.am.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9966ab40b850c780e439f86e165188919f884b64
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat May 16 12:34:01 2009 +1000

    Require inputproto 1.9.99.9

commit eaf40d1bd1a5737afa5f00c4bc2208fd1562417b
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Fri May 15 06:21:49 2009 -0400

    Remove duplicated code paths in XIGetProperty.
    
    XIGetProperty always returns in the specified format (8, 16, 32) and never in
    the Xlib's 64-bit long hackery. So we can clean this code up a bit.
    
    This doesn't affect XListProperties, it still returns an Atom list.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit 04bf8fe62832a38f56041d860a717f13fd3a7295
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 14 16:56:17 2009 +1000

    Return failed modifiers for passive XI2 grabs.

commit 68da471cd7ad3b5d76bfc1207083f892b15dd34a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 14 16:34:55 2009 +1000

    Update XIQueryPointer to include full modifier state.

commit 3017a5124fe98eb0d1f0e4d0bdce35df06ea751b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 14 16:26:17 2009 +1000

    Update man pages for XI2.
    
    Shuffling device properties up before all XI2 calls and adding all XI2 calls
    (bar device property calls). Needs proofreading.

commit ea377ea55b2014310fb0777e41ae7044396e25a3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 14 14:19:44 2009 +1000

    Label major/minor version in XIQueryVersion as _inout.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0dd26fd87571c1e87ca6e8734e2c55f21e53ceb8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 14 11:31:28 2009 +1000

    Xinput2.h: nmasks should be num_masks in XISelectEvents

commit b4d74eebcec3080fa4ac33c74835246457b00de3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 12 19:25:15 2009 +1000

    Adust to new device names (less "Device" in function names)

commit eebdca00c416924b0423879a62498df8afed633e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 12 17:33:48 2009 +1000

    XISelectEvents, not the singular version

commit 23246e5788a01091ed666539359614cd5c100a9b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 12 16:14:23 2009 +1000

    Support per-device flags for XIDeviceHierarchyEvents

commit 9451d09d2b9cdbe2deff7986a4c5553ba922989c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 7 16:25:13 2009 +1000

    Use the new prefixed constants for XI2 and require inputproto 1.99.9.8

commit 92cfef2cebfa85bdb0c1b3b6ee2f78520b003eb7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 7 11:41:46 2009 +1000

    Add XI2 property requests.
    
    Without Xlib's 64-bit hilarity. A property claiming to be 32 bit is treated
    as 32 bit value.

commit 130774c208a2f331d6110b255676ad6cb8a1a414
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 7 11:02:02 2009 +1000

    Add property event conversion.

commit 70d9a55c86f15b71ff8b53a61b8fb0e1723e0824
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 4 19:05:06 2009 +1000

    Add XIPassiveGrabDevice.

commit 279a8c3a6466d885fa618cccb0b12f6c45608982
Author: Bernhard R. Link <brlink@debian.org>
Date:   Tue Apr 28 19:45:52 2009 +0200

    man: fix a number of return/parameter types
    
    Debian bug#525546 <http://bugs.debian.org/525546>
    
    [jcristau: also fixed the window parameter of
     X{Change,Get}DeviceDontPropagateList]
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 6e4b80a35e5b763d4a854f1c10443b95e6ad51bd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Apr 19 21:57:42 2009 +1000

    Silence a compiler warning by using a uchar instead of a char.

commit 1c777e3c1127dec35166007c6e3ca65e34735eb5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Apr 19 21:56:29 2009 +1000

    Type-cast before passing into wireToFooBarEvent.

commit 443a69833a29b557f78ec09f9eef395f52a64e10
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Apr 19 21:53:17 2009 +1000

    Convert FP1616 from int32_t to double.

commit 516a52f9a5b095ab60086426a1945d30a44e7ef2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Apr 19 21:41:35 2009 +1000

    XIQueryVersion: ensure we unlock in all cases and return the status.

commit 76c9ba562bb012790636913ea6c5a6e96af578ff
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Apr 19 20:09:02 2009 +1000

    Add missing eventtype to XIRawDeviceEvent.
    
    Reported-by: Paul TBBle Hampson <Paul.Hampson@Pobox.com>

commit 8487030472914230bec6ecb95e58cf621e69b608
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Apr 19 19:58:39 2009 +1000

    Add a bunch of missing LockDisplay() calls.
    
    Reported-by: Paul "TBBle" Hampson <Paul.Hampson@Pobox.com>

commit 3a699cda35a7c190010e5a974cd7a4e7be9df049
Author: Paul "TBBle" Hampson <Paul.Hampson@Pobox.com>
Date:   Sun Apr 19 06:52:30 2009 +1000

    libxi: Unlock display after XIQueryVersion
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6ad47bc1338ba96c4a43a33ee3633f41e9543bd6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 16 22:16:06 2009 +1000

    Add XIAllowEvents

commit b3da79aba9cd8c615e953ee08d69f44c23fe3ab5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 15 21:39:30 2009 +1000

    Add XIGrabDevice

commit 01a029e597a25f10d00accafb04d72dad39e82cf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Apr 12 17:44:19 2009 +1000

    parse subpixels

commit 6c1d6174a0ba33ff377cb74adf6c0bbe0279f93b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 26 16:37:49 2009 +1000

    XIint.h only needs XI.h as include, not the rest.
    
    This fixes 64bit compilation issues.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2bc4ebba78056eecf76a294f1c3edff892b286f7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 26 16:30:45 2009 +1000

    Remove public declarations for SizeClassInfo and ParseClassInfo.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 20629761be39493b650f48e120d5c970bca5e796
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 12 16:25:02 2009 +1000

    Add XISetDeviceFocus and XIGetDeviceFocus

commit 190035dbb9e74668f7965967a9529fec51d42d14
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 12 15:56:07 2009 +1000

    man: note that XListInputDevices does not list other MDs.

commit 8730fa24af5a344876f0c5bfd840d856b5d2b038
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 11 16:32:23 2009 +1000

    Handle XI2 focus events.
    
    These events are identical to enter/leave events.

commit ffa8a602e7ae20c7430090360818d635f13b392d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 11 14:20:05 2009 +1000

    Add support for XI2 Enter/Leave events

commit 5ff39db5c98a9e7e0e85ead6f4ffc59f6f071bd6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 10 16:24:44 2009 +1000

    Remove if 0 code block

commit c6985e7651636d75ad7f7ed1b3ef434e123a8492
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 10 15:42:51 2009 +1000

    Add support for Raw events.

commit 2712dbc2609ad75674c77df04d42899844968e10
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 8 21:16:54 2009 +1000

    Add support for XIHierarchyEvent.

commit 30c2e3f9398f3d9cbae70150e4bb5cec6dfcc0a1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 8 21:16:33 2009 +1000

    Add support for XIDeviceChangedEvent

commit 0cac1faccebdd317e889d2ae1a1570dc9430725f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 6 12:02:45 2009 +1000

    Add XIFreeEventData

commit 35a9ea79fc97bf80bfc4aea7f98ae97ac8cff762
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 5 17:01:58 2009 +1000

    Add support for XIDeviceEvents.

commit f00f4dccba7f109dd6ec00be34543766f38264e9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 6 11:55:18 2009 +1000

    Add Generic XIEvent struct.

commit 13445f170c80f9e2c48e78aa1ec14e956b75c297
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 3 15:29:25 2009 +1000

    XIint.h fix compile error, include XInput.h

commit b42809a2e9a8fa821ce6b43e5aba374e922aab39
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 3 15:17:54 2009 +1000

    XExtInt compile fix - include XI2.h

commit c6da12b3965f60d893c3fabad4f95dac10ebe7d9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 4 21:01:58 2009 +1000

    XInput2.h: Get rid of the /* foo */ in the declarations.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 65dbec3d82259bd7bbde5b7a2cdba44727a5606a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 6 11:55:41 2009 +1000

    include: Move events up to before function definitions.

commit 13ed59c032b74d106acd08d8893c2708ef5564c5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Feb 28 10:32:54 2009 +1000

    Add XIQueryDevice implementation.

commit 88fcb0938a898ef6c9f48fce2874c37e3788fe9c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Feb 26 16:49:45 2009 +1000

    Add XIQueryVersion() - query and announce the supported XI version.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2780363f96d07f8ca62507246bb04f6894e3b13d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 5 15:53:02 2009 +1000

    XISelectEvent: make sure padding is zeroed out.

commit ee1a0b4f507f32c7abe07b3324dc3a6c210964c4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 16 13:36:59 2009 +1000

    Replace XiSelectEvent() with XISelectEvent().

commit 5f4058db225d7cb4455fd27b11dff10422e94748
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 3 14:39:28 2009 +1000

    Replace all XDevice* with ints.
    
    There's no reason to have XDevice structs. It's not as if they carry useful
    information.

commit 2d5bdbe0fad5f22f153aa74e38aa3a1ca09d4192
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 3 14:53:23 2009 +1000

    Change XIGetClientPtr to take an int, not an XID

commit 6be974ec5597ef37fbd3a6057d52a38356f544e0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 25 15:53:29 2009 +1000

    Fix the already existing XI2 calls to the new XI2 protocol. FIXME
    
    FIXME: not bisectable due to XiSelectInput.
    
    This includes namespacing them with an XI2 prefix.
    
    Affected calls:
        XIGetClientPointer
        XISetClientPointer
        XIDefineDeviceCursor
        XIUndefineDeviceCursor
        XIWarpDevicePointer
        XIQueryDevicePointer
        XIChangeDeviceHierarchy (+ event)

commit 60b2d114d06617ca60c2905373829299dc051c7f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 25 15:32:53 2009 +1000

    Move current XI2 stuff out of XInput.h, into XInput2.h
    
    This means XInput2.h is rather messy, but it also means we can leave XInput.h
    untouched for the XI2 rework.

commit c0e3fef8cc7f1953377f61b80d9b8a5ce2fcf2b7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Feb 26 15:23:57 2009 +1000

    Require inputproto 1.9.99.7.

commit 660b0abdb8dbc7959f9d97b83ac48110a56fd216
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 25 16:24:56 2009 +1000

    XIint.h: include XIproto.h for xAnyClassPtr.

commit 3e38a82102975670d490d95f595a410f38f4e221
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 25 16:02:07 2009 +1000

    Disable generic event handling for now to allow bisecting.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c56b75732f4506bae234a5cda474c837bb274d6b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Feb 26 16:33:24 2009 +1000

    Back out the XQueryInputVersion hack, restore previous state.
    
    XI2 should use a separate request to query the version rather than piggy-back
    on an existing badly defined request.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5ead375009f53c9a4634dc8f1939463ac8ef510a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 25 15:58:41 2009 +1000

    Remove XExtendedGrabDevice.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3992afdd5593f391bcff1eb39d7e975886d817e3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 25 16:12:35 2009 +1000

    Remove DeviceEnter/LeaveNotify handling.
    
    This will be replaced by XI2 GenericEvents.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 62858c426e6de1b99df660251737233afd335302
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 25 16:04:16 2009 +1000

    Remove AttachClass handling from ListDevices.
    
    If you want attachment information, use XI2 and XQueryDevice().
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cbdc33d903ec6f90a42ec3c31905eeaef9ecf0a2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 25 17:00:16 2009 +1000

    XGetDeviceControl: size the libXi structs, not the wire structs (#20293)
    
    X.Org Bug 20293 <http://bugs.freedesktop.org/show_bug.cgi?id=20293>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 78f64722c57ff5ec5d0ae35da0c8f151598e6d6b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 25 16:59:04 2009 +1000

    XGetDeviceControl: Add a missing break leading to wrong length calculation.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8f174b7f5e57c6b3e123476f384ce9164cda11b7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 25 15:28:28 2009 +1000

    Remove leftover WindowAccess function declarations.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6e1159a9059d762d6b5d24455237a088e839fe2c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:34 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ba2546a51d5f9087ec54fba7cae46ea1f210198a
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 29 19:30:30 2009 -0200

    Return NULL on error, and match LockDisplay with UnlockDisplay.

commit 4a1d1ff1195a2ed43ace1a33e429f2272f1331af
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 29 19:22:47 2009 -0200

    Janitor: make distcheck, compile warnings, extra .gitignore files.

commit d0326fe8cdbb08d4f52d79fd3fd4e1b2a0951d5e
Author: Dan Nicholson <dbn.lists@gmail.com>
Date:   Tue Jan 13 15:54:35 2009 -0800

    Fix build when xmlto is not available
    
    When xmlto is not available, make bombs since it has no way to generate
    the man pages from the XI.xml. This returns the man page installation to
    only occuring when xmlto is available. Unfortunately, this means they
    will also not be installed when the generated pages are distributed.
    
    Signed-off-by: Dan Nicholson <dbn.lists@gmail.com>

commit 9911b7846ca2cedf08a963c84efe7907438975c1
Author: Dan Nicholson <dbn.lists@gmail.com>
Date:   Tue Dec 16 16:45:16 2008 -0800

    Be smarter about generating man pages
    
    With the current rules, the man pages will be generated repeatedly if you
    have xmlto installed. This is because make always thinks they are out of
    date with respect to their prerequisite, do_xmlto_stage. They are changed
    here to handle the multiple output files as described in the automake
    manual.
    
    distcheck has been confirmed to still work such that building from the
    tarball does not require xmlto. On the other hand, if the user wants to
    rebuild the man pages, they'll have to explicitly touch XI.xml.
    
    It may be better to split the xml into per-page files so that xmlto only
    generates one output at a time. A toplevel XI.xml can still pull together
    all the pieces with XInclude.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9e9bf1e477e764b596eb89119c0497b274b87897
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Dec 21 16:08:08 2008 +0100

    Hide private functions

commit db1215bf4785acb20610a7f1302e8dc3ec4d19e0
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Dec 19 16:06:50 2008 +0100

    COPYING: add Peter's copyright notice and license

commit dd89e1187114ba7ece2e4bcc9c25ea5139ea4f0a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Dec 8 08:34:53 2008 +1000

    Restore XAllowDeviceEvents()
    
    Got accidentally removed as part of
    f938c524f74fa8828a  Purge device-based window access code.
    
    XAllowDeviceEvents is the XI equivalent to XAllowEvents, required to thaw devices
    after grabs, not related to the access control code.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 13dee4565b509ed1ef2fbc78b1987a69f10b02e7
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Mon Nov 17 11:34:44 2008 +1000

    Bump to 1.2.99.1
    
    We need libXi 1.2 for the property support, so let's bump this one up by one.

commit 74b2cb0be98057a522c543b5259396ec1b456794
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Wed Nov 12 22:26:43 2008 +1000

    man: fix out of source builds.
    
    As pointed out by johnflux on IRC.

commit f938c524f74fa8828a954bed51d0f3c4c7eb0fad
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Fri Oct 31 18:02:02 2008 +1030

    Purge device-based window access code.
    
    Requires inputproto 1.9.99.6.

commit e5c529813b04327babc20e51ca56006210cb0c37
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Mon Sep 29 16:40:21 2008 +0930

    Add XI_JOYSTICK to list of defined types.

commit e179b124aac13387c6f730197b8852c1f69eb9e3
Author: Shunichi Fuji <palglowr@gmail.com>
Date:   Fri Sep 26 14:47:49 2008 +0930

    Build fix: remove dropped man pages for Conrigure/QueryDeviceProperty.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit ec2665e6ba0e71a1726816054b40f71782874373
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Fri Sep 26 10:13:57 2008 +0930

    Require inputproto 1.9.99.5.

commit f9a5371d43b2c6023745f766d0e8ceff2acdff60
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Fri Sep 26 10:12:31 2008 +0930

    Adjust to new property API.
    
    XConfigureDeviceProperty is gone.
    XQueryDeviceProperty is gone.
    XGetDeviceProperty doesn't have "pending" anymore.

commit 822bff60ea26c0b509fd4de35099b4d94e9e99de
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Fri Aug 15 15:08:07 2008 +0930

    Require inputproto 1.9.99.4.

commit bec02767629ed795582ba3f645299d7036093511
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Wed Aug 13 12:03:29 2008 +0930

    Backport device property code to XI 1.5.
    
    Ditching generic events, using normal XI events instead.

commit c5179577ddf0680dffb480d27db9036e9bd27716
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Wed Aug 13 10:27:03 2008 +0930

    Remove RCS tags.

commit bfd2e08f3530091fbcd8c078f684e9aab9057df0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 9 15:38:57 2008 +0930

    Update man pages to include new device properties calls.

commit 0211e3e8277c590349903989f1676f6af4baa44b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 9 16:54:32 2008 +0930

    Add XDevicePropertyNotifyEvent support.

commit 7d5bb99ffce3200f82420c5a5ebac3b445aac633
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 9 16:53:46 2008 +0930

    Add support for input device properties requests.

commit 908ac35ebb25e2f55945825e6256d1848e17cc38
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu May 29 13:19:06 2008 +0930

    Bump to 1.1.99.1

commit f4739e18bb44e7a04ed0ea6ec87d53ae5fb13e7d
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu May 29 13:18:38 2008 +0930

    Update required packages again, needs updated libX11, libXext, etc.

commit 9831db88ee8e69dc6cf8fad0ac83d40bedd5c463
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu May 29 12:45:57 2008 +0930

    Don't fail man build when missing xmlto.
    
    If xmlto is missing during configure, print out a warning and just do an empty
    man build with no man pages at all. Better than failing with obscure errors.

commit fd8198513c865f616be8059907550db7f777b089
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed May 28 17:14:17 2008 +0930

    Reguire inputproto 1.9.99.

commit 135b25157ee3e44467264a6df2e1f92f3a785643
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Fri May 23 10:30:56 2008 +0930

    Add .PHONY build target to fix parallel builds.
    
    Copied from libXtst.

commit 74cc34496d6ed23d8dad259c036bbfaa63b8eb15
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu May 22 12:58:55 2008 +0930

    Ansify the XI 2 functions.

commit 50990b8deb8b8484e9e02e313387ea4d2ddbd242
Merge: 26dde5a 145947e
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu May 22 12:48:40 2008 +0930

    Merge branch 'master' into mpx

commit 145947ed603207e85a7fcb502f88717a22dfec55
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Feb 29 18:14:00 2008 -0300

    libXi ansification.
    
    Thre are still two remaining compiler warnings, because of non matching
    function prototypes and function pointer arguments prototypes:
    
    src/XSndExEv.c:XSendExtensionEvent()
      variable register Status(**fp) (Display *, XEvent*, xEvent **, int *)
      doesn't match struct _XDisplay's:
      Status (*wire_vec[128])( /* vector for event to wire */
                    Display *       /* dpy */,
                    XEvent *        /* re */,
                    xEvent *        /* event */
                    );
    
    and
    
    src/XExtInt.c:xinput_extension_hooks field event_to_wire of type
      XExtensionHooks that has the prototype     Status (*event_to_wire)(
    	      Display*			/* display */,
                  XEvent*			/* re */,
                  xEvent*			/* event */
      );
      does not match Status
      _XiEventToWire(
        register Display	 *dpy,		/* pointer to display structure */
        register XEvent	 *re,		/* pointer to client event */
        register xEvent	**event,	/* wire protocol event */
        register int	 *count);
    
    Signed-off-by: Peter Hutterer <peter@cs.unisa.edu.au>

commit 26dde5aaf4bbc89140cc4e3d13fe18036041022d
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed Apr 30 10:35:12 2008 +0930

    Fix up AM_CFLAGS, pulled in the system-includes before the local ones.

commit d68d321c0692848dd5eb67a3713676498c1c646b
Merge: 7d0977b 3e99cc2
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon Apr 28 14:35:11 2008 +0930

    Merge branch 'master' into mpx
    
    Conflicts:
    
    	.gitignore
    	man/XGrabDeviceKey.man
    	man/XListInputDevices.man

commit 7d0977bc02ce4f29c0ed335fcdcce4ed7c328259
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon Apr 28 11:24:40 2008 +0930

    man: more formatting changes (indentation, whitespaces, linewidth).

commit 2e4cb17b0354fb424f841431a4a20cf6a3e3059c
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Sun Apr 27 19:46:21 2008 +0930

    man: formatting changes in XI.xml

commit 212fb41a101833c817195ef02d20248523929ef3
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Sun Apr 27 19:26:55 2008 +0930

    man: fix up use of <function> tag and some whitespaces.

commit 4ce9781be5f3468d184e34bf36329aa220c726bb
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Sun Apr 27 19:11:06 2008 +0930

    man: add old HP, Ardent Computer copyright, plus my new one.

commit 36f17efe0a4b0278fd442c0bcd97a9d762d96011
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Sun Apr 27 19:01:39 2008 +0930

    .gitignore: add man pages.

commit ea09ee20525e4e6a0a6517654ed12fd419f00b23
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Sun Apr 27 19:01:03 2008 +0930

    man: switch over to using xmlto to generate man pages.
    
    Removing all nroff man pages.

commit b620f6995b76742c95b32db054d0b5d9fef7a33d
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Sun Apr 27 18:57:48 2008 +0930

    man: fixes in XI.xml
    
    Some global whitespace replacements (e.g. space before comma)
    Splitting refnames where two functions are listed.
    Adding refmiscinfo tags (see libXtst)

commit 51886a38dd42bb62bf3ffcadbf73472e6d2b514f
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Sun Apr 27 16:33:00 2008 +0930

    man: add XI.xml. Contains all libXi man pages in docbook.format.
    
    Note that conversion was half-automated and half-manual. There's a lot of
    little things to be fixed up.

commit c142891001e53b3c9d1d4a0cfcb0ff555c2f0070
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Sat Apr 26 17:07:39 2008 +0930

    Deprecate XGetExtensionVersion(), replace with XQueryInputVersion().
    
    We need XI to be able to do some sort of versioning support.

commit 94284e40f5fc9bf30cc2cc5915f6adb22de7bffe
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Fri Apr 25 18:07:36 2008 +0930

    Add XInput.h file from inputproto package.
    
    This file only belongs to libXi, it shouldn't have been in the inputproto
    package in the first place. For a revision history of this file refer to
    git://anongit.freedesktop.org/git/xorg/proto/inputproto

commit 166083c09a96b1b7e612bdbb1515d79c3bf57185
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Fri Apr 25 18:05:37 2008 +0930

    Removing previously removed man pages from Makefile.am as well...

commit c1c8a0e585089b3c18ddbd9039f0053a40dbe6cb
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Fri Apr 25 17:58:16 2008 +0930

    Extend XListInputDevices man page to include MPX details.

commit 064f0ec80c6e3cd2f05dd104ca17359b2f7ab833
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Fri Apr 25 17:37:24 2008 +0930

    Remove XChangePointerKeyboardPairing call.

commit ef953b30eb212a65e2aa841c8ccdbbe9127b3b56
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Fri Apr 25 17:34:57 2008 +0930

    Remove XChangePointerKeyboardPairing and XGetPairedPointer man pages.
    
    Calls don't exist anymore.

commit 3e99cc281509c70c9240e71ae55cf4e62c6569ba
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 08:30:32 2008 +0100

    nuke RCS Ids

commit df2cf307c365feea924f2c907d8109cf53461a75
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Tue Feb 26 15:47:25 2008 +1030

    Remove XGetPairedPointer(), was removed from the protocol.
    
    The information needed is in the attached field of ListInputDevices.

commit 5ca4f620883c63e57edd409b139d82092679010a
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Tue Feb 26 15:45:46 2008 +1030

    Remove XExtendedUngrabDevice. XUngrabDevice does the same.

commit 2b25e823d3c0820b135fb42584be462dba342aa7
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Feb 14 18:30:09 2008 +1030

    XChangeDeviceHiearchy has changed to take a array of unions.
    
    And the parameters were swapped around too.

commit 80159390595f9a8970c114c66190db371d585da1
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Feb 14 09:24:29 2008 +1030

    XQueryDevicePointer: remove unused variables.

commit e3492c8385b2d0cce0c6e3e862f43a63f3e8917b
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Feb 14 09:23:03 2008 +1030

    XQueryDevicePointer: "shared" parameter removed.

commit aa6c7a07d7f3f73980ad3b6c537b5f83bc3ddd30
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Feb 14 09:21:26 2008 +1030

    Remove XFakeDeviceData call.
    
    This call needs to be better refined and tested before we put it in.

commit d97dcf6896a1c16b46068d16d3d689a3720cce46
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Feb 14 09:20:53 2008 +1030

    Remove RawDeviceEvent parsing. These events have been removed.

commit 447441f4dfdd114ce1f738ccfda097ca1f4d609a
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Feb 14 09:19:35 2008 +1030

    Remove XGrabAccessControl and XUngrabAccessControl calls.

commit 1b15f1bc3b8b33da3a30b7ee23c728dce9e48929
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Sat Jan 26 10:50:28 2008 +1030

    XiSelectEvent: add additional device parameter.

commit 411340ccb7070e2e966a36f64f2fb3019ea0242a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Nov 29 13:49:21 2007 -0800

    Coverity #743/744: Returned without freeing storage bufp/savp
    
    If either bufp or savp failed to malloc, we returned without freeing the other.

commit 5ac8f5dcfb2cf5f695c903179a5a95ac6bd4303e
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Tue Nov 27 10:47:56 2007 +1030

    GetDeviceControl: calculate the length field correctly.
    
    Length field should indicate the length of the struct in bytes. Not the length
    of the pointer to the struct...
    (cherry picked from commit ddcc71df2a273a410cb5a933aef5501fa56d84cf)

commit ddcc71df2a273a410cb5a933aef5501fa56d84cf
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Tue Nov 27 10:47:56 2007 +1030

    GetDeviceControl: calculate the length field correctly.
    
    Length field should indicate the length of the struct in bytes. Not the length
    of the pointer to the struct...

commit a9191fcf42a4f5ef5022450b327afe2562c9a0e2
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed Nov 14 10:11:15 2007 +1030

    Remove XRegisterPairingClient and XUnregisterPairingClient.
    
    Deprecated with the introduction of the device hierarchy.

commit 16dc064bf997dfa9226a574e5989d8cd1209a5b0
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Tue Nov 13 11:39:54 2007 +1030

    Add XDeviceClassesChangedEvent parsing.
    
    Some stuff from XListInputDevices moved into separate functions to be re-used
    in the event parsing.

commit 0e6331a2c8494cd24d75ab80443f9f071be47334
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Nov 8 17:47:06 2007 +1030

    Remove PKPairingChangedEvent, replace with DeviceHierarchyChangedNotify event.
    
    Remove leftovers of RandomStringEvent as well.

commit a7f53f26ac83257f594058c484ecd19e009e142c
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Fri Oct 19 14:27:58 2007 +0930

    Add XChangeDeviceHierarchy.
    
    Used to create/remove master devices or change attachment of slave devices.

commit d1f92d6c14d7c9b553b8530a1daf0a77a8babccf
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Oct 18 12:22:37 2007 +0930

    Create AttachInfo class for all devices, containing attachment info.
    
    Thanks to Xlib's braindead design we can't just add the field to XDeviceInfo.
    So we just fake up a new class, add it to all devices and let clients deal
    with it.

commit fbd0431546c3ede8d606559fdd7a18f4cce05743
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Oct 18 10:39:21 2007 +0930

    Add XI_2_Major and XI_2_Minor to versions.

commit 0239ef13d66113024066b7db8ade3942af563656
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Sep 5 09:45:20 2007 -0700

    Bump version to 1.1.3.

commit 235b283ef6eda4591c95b4749d0a8cd0181783a6
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:53:41 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 89d7e38124cdb34c55f8c28680725b5b645fe106
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Sun Jan 14 10:51:00 2007 -0800

    Bug #9659: Bad markup on XListInputDevices.3x
    
    X.Org Bugzilla #9659 <https://bugs.freedesktop.org/show_bug.cgi?id=9659>

commit bf01e98979e6fa500f74d882c1b21746c60d5d31
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Aug 1 05:16:45 2007 +0300

    XSetDeviceFocus: Add missing extension check
    
    Actually check for Xi existing before we try to do anything fancy.

commit 8f5f7e9d6fc288a5cc00df3a7fec44211cdbe8f4
Author: David Weinehall <tao@debian.org>
Date:   Wed Aug 1 05:12:21 2007 +0300

    XGetSelectedExtensionEvents: Still more locking bugs
    
    Fix a couple more return-without-unlocks.

commit a07c3cc1eec0427a056414ef44ef6ee4204df383
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Aug 1 03:03:44 2007 +0300

    XChangeDeviceControl: Fix completely broken locking
    
    Drop the display lock when we exit from XChangeDeviceControl(), instead of
    leaking it.

commit 7f1b5257b7eb0c873988c33453c110fc5f9996dd
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Aug 1 01:59:17 2007 +0300

    Bump to 1.1.2

commit 257345a0500ef0b7cf8e56f19a8bf93721408673
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Aug 1 01:37:05 2007 +0300

    DevicePresenceNotify: Don't make non-static function, static
    
    I wish that there was a better way to do this, but c'est la vie.  It's our
    exposed API, so we've just got to deal for now.

commit 3da6998ef89c99ad01f20a8f37e3c26c0b7c1ced
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Fri Jul 27 01:30:13 2007 +0930

    XChangePointerKeyboardPairing, XGetPairedPointer, XSetClientPointer man pages.
    
    Use XID instead of int for XGetPairedPointer.

commit 25c023f91851a4b32b295b6d5633f6ee87d0ba14
Author: Paulo Ricardo Zanoni <prz05@c3sl.ufpr.br>
Date:   Tue Jul 10 10:14:47 2007 +0930

    Access control: change calls to use XID* instead of char*.
    
    X{Deny|Perm}Devices: clear perm/deny list if called with no devices.

commit 9d0aa39742a0d1d4221ad4104708b0f8f60c14c7
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Jul 5 10:47:45 2007 +0930

    Bump to version 1.1.1.

commit ddc3b9cbbcc892a48dce2bd441e6d404cd44d943
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed Jun 13 15:36:01 2007 +0930

    Bug 9657: Bad markup on XGrabDeviceKey.3x
    
    <https://bugs.freedesktop.org/show_bug.cgi?id=9657>

commit caa4ab9a959140119c6c2fd12a379b55b0dff258
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed Jun 13 15:36:01 2007 +0930

    Bug 9657: Bad markup on XGrabDeviceKey.3x
    
    <https://bugs.freedesktop.org/show_bug.cgi?id=9657>

commit f128ce2d1f8dcd841185c728a6c2b44bb64108f6
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu May 17 20:16:49 2007 +0930

    Squish flag and same_screen into the upper bits of mode (DeviceEnterLeave).

commit 12e3d8b1db94feecf27ed98c8ac523f755c59e45
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 14 18:09:38 2007 +0930

    Add XExtendedGrabDevice and XExtendedUngrabDevice.

commit f8215ada9c1f3e8f001c77362005168492e35cf4
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 7 14:13:40 2007 +0930

    Add XiSelectEvent call.
    
    Should have been part of 44ccc08bb19d9d55fb9ff6bfb0592d5d79b9b712.

commit d76c4412c9fab7dae6b0283feb847174fb19d1fe
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed May 2 18:17:34 2007 +0930

    Add XFakeDeviceData call.

commit fe33724ed6cdaad6b13a7ca1c9f03dbb98d93982
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed May 2 09:44:37 2007 +0930

    Add deviceid and ev-to-wire conversion for RawDeviceEvent.

commit 44ccc08bb19d9d55fb9ff6bfb0592d5d79b9b712
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Tue May 1 22:30:04 2007 +0930

    Add XGE support. Supporting RawDeviceEvents and PairingChangedNotifies.

commit 656b31865bf44b5e9bb9603bed6115d497d94796
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Mar 22 21:15:00 2007 +1030

    Change XSetClientPointer API to use XDevice argument instead of deviceid.

commit 6476513b250a4ea4de1e93bfe00046e9b6a46732
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Mar 22 17:28:54 2007 +1030

    Add XGetClientPointer call.
    Add XGetPairedPointer call.

commit e3ddf2f58a0e9822c248a362a975bf7bb786e23d
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Fri Mar 9 15:47:36 2007 +1030

    Add XSetClientPointer call.

commit f1df9eb1ffc23b83418f9a9ce31d8b2ec748fbd4
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Feb 22 20:07:11 2007 +1030

    Add calls to allow per-device window access control
    Cosmetic change,  error return value in XQueryDevicePointer.

commit 21765b25a938cf6c8302415d5d15e9a08c7bed98
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed Feb 21 10:02:46 2007 +1030

    Adding XRegisterPairingClient and XUnregisterPairingClient calls.

commit 1ab0fa01391156d96cf6d3adc1076ad5216ac23d
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Feb 15 14:28:17 2007 +1030

    Use flags byte in deviceEnterNotify and XDeviceCrossingEvents.

commit 6a123cbfed985382f5b0c209d880dabeb8ee9733
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon Jan 29 18:20:47 2007 +1030

    Adding XChangePointerKeyboardPairing call.

commit bfd533c3a7e854d893a06e6a7fe2b3f079508a4d
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed Jan 10 14:53:44 2007 +1030

    Adding DeviceEnterNotify and DeviceLeaveNotify calls
    New XI version using Add_MPX_Major/Minor

commit ebc24f1fad85281a1e9e795ec261eea111f40304
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon Jan 8 12:32:27 2007 +1030

    Adding XDefineDeviceCursor and XUndefDeviceCursor calls
    Fix casting typo in XWarpDevicePointer and XQueryDevicePointer
    Reverting useless whitespace commit in XExtInt.c

commit 448def03e88d3460ce97a49df0816dedd609c1e3
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed Dec 20 13:08:29 2006 +1030

    Adding XWarpDevicePointer and XQueryDevicePointer calls.

commit c8696a5230c565f8999fea136a85a875b04e7b9a
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 6 18:56:56 2006 +0200

    Makefile.am: make ChangeLog hook safer
    
    Make ChangeLog hook as safe as possible.

commit 60dccd9a7be95e35b4b8c90934888efedfde84cc
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Nov 19 01:04:26 2006 -0800

    Bug #8663: _XiCheckExtInit must drop the Display lock in all error cases.

commit 41710257257939b181a1615937610550b40621b9
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Nov 8 16:19:58 2006 +0200

    DevicePresenceNotify: remove verbosity, fill out all fields
    Don't throw a printf every time we get a DPN, and fill in all the fields
    when copying the structure.

commit eeebae55766bd4c0121479a7b7188d6a0545f66c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Oct 21 12:08:21 2006 +0300

    re-enable iscore in DEVICE_CORE, re-enable DEVICE_ENABLE

commit 50c88082ba2ee4785f4beaa351f2b772f1a381ad
Author: Zephaniah E. Hull <warp@agamemnon.b5>
Date:   Sat Oct 21 04:01:46 2006 -0400

    Comment out DEVICE_ENABLE, and use of iscore in the DEVICE_CORE control.
    (We now compile again.)
    
    Track the DEVICE_TOUCHSCREEN -> DEVICE_ABS_CALIB and new DEVICE_ABS_AREA
    changes to the input protocol.

commit 2a3f042241bb63601f5745f397bb1b66ecc5a592
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Oct 20 00:39:50 2006 +0300

    add DEVICE_ENABLE control, add iscore to DEVICE_CORE
    
    Add DEVICE_ENABLE for enabling/disabling devices, and an 'iscore'
    flag to DEVICE_CORE that specifies whether or not the device is a
    virtual core device.

commit c27e00ceceed3fea011c98c0e70ab568bf0687c6
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Oct 15 00:26:21 2006 -0700

    Don't call XInput_find_display in _XiCheckExtInit, while the Display lock is held.
    
    All callers of _XiCheckExtInit have already called XInput_find_display
    first outside the lock, so just pass their copy of the XExtDisplayInfo
    structure down. Besides being more correct, this should be slightly
    faster. :-)
    
    Thanks to Magnus Kessler <Magnus.Kessler@gmx.net> for identifying
    the bug and proposing a workaround.

commit 5dda1e1509d40ef64ebc816ce538cef462a4fa51
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Oct 15 00:03:57 2006 -0700

    Don't call XInput_find_display in _XiGetExtensionVersion, while the Display lock is held.
    
    _XiGetExtensionVersion has two callers. One had already called
    XInput_find_display, and the other could easily do so outside the
    Display lock. So I change the _XiGetExtensionVersion interface to
    accept a previously-computed XExtDisplayInfo from the caller.
    Besides being more correct, this should be slightly faster. :-)
    
    Thanks to Magnus Kessler <Magnus.Kessler@gmx.net> for identifying
    the bug and proposing a workaround.

commit 8e317d390d1ef8f2c072957355b5d71db3b89c43
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Oct 14 23:56:20 2006 -0700

    Add *.o to .gitignore.

commit 6e08a76fd8e356f98d2d6913f0c1b1401090768d
Merge: ba84e84 360ceac
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Sep 24 20:02:24 2006 +0300

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/lib/libXi

commit ba84e84575b4167b0c6298e86a860b0741e2d2a3
Merge: 93d3c2c 576c579
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Sep 24 19:58:56 2006 +0300

    Merge branch 'input-hotplug'

commit 360ceacb2a3cbad1652d1b02d79b24469db2980a
Author: Drew Parsons <dparsons@debian.org>
Date:   Mon Aug 14 14:10:52 2006 -0700

    Bug 7855/Patch 6530: incorrect manpage section suffix
    
    Bug 7855 <https://bugs.freedesktop.org/show_bug.cgi?id=7855>
    Patch 6530 <https://bugs.freedesktop.org/attachment.cgi?id=6530>
    Based on patch by Fabio M. Di Nitto c/- Colin Watson, Debian Bug#377204.

commit 576c5794cf4b786dfc183c9b6f0a387cad4a5460
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jul 18 11:46:02 2006 -0400

    bump version to 1.1.0, require inputproto 1.4
    Bump the version to 1.1.0, and make sure we build with inputproto 1.4,
    for the DEVICE_{TOUCHSCREEN,CORE} controls, and DevicePresenceNotify.

commit b22d8d0e1519d3f86474f4a79f3c4b27b46c662a
Author: Daniel Stone <krh@redhat.com>
Date:   Tue Jul 18 11:45:07 2006 -0400

    add DevicePresenceNotify event
    Add a DevicePresenceNotify event, which notes that something about the
    device list changed.

commit 878d9e76764d27f5af861817b46b2caf2d89d7c4
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jul 18 11:43:24 2006 -0400

    add sensible DEVICE_TOUCHSCREEN and DEVICE_CORE controls
    Add a more sensible DEVICE_TOUCHSCREEN control, which allows you to
    clip the x and y values.
    Add a DEVICE_CORE control, which toggles the sending of core events
    by extended devices.

commit 93d3c2c45ccd9a806342746c4df33c684a284dd6
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jul 18 11:39:16 2006 -0400

    remove ChangeLog, add dist hook
    Remove ChangeLog from the tree, and add a git dist hook to generate
    it automatically.

commit 8f0d3c6d1f64fdc3b20d0beb831fa457214d5188
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jul 18 11:28:58 2006 -0400

    fix indentation on function declarations
    Another brief run with indent.

commit 2d9a57cd77575ca9850d226c79a897cbe88d06e9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:59 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 5693a8da9bdf553e1c9a8ebd50d0d75018cc5c0e
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Apr 27 00:14:32 2006 +0000

    Bump to 1.0.1

commit f50ac4deec13dfd070715f636887e12f6301070f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Mar 31 14:50:24 2006 +0000

    Mass reindent. Sorry.

commit 6b055729fd0f89eedd2bf00befd8e42804f12b4a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Mar 20 19:54:58 2006 +0000

    Bug #6286: Fix build on Cygwin. (Yaakov Selkowitz)

commit 48ad6d382f6fdc9fba416cc5ee9d49324b515b68
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Feb 12 18:19:22 2006 +0000

    Bug #5628 <https://bugs.freedesktop.org/show_bug.cgi?id=5628> Shadow pages
        not created correctly when MANDIR & MANSUFFIX don't match.

commit 04debb347c80f9487b4b507e5202d323d6b2d05a
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:30 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 2c3bffb3e4ba665da6a9a152a65ac94b7eb8421e
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:43 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 82059b8d9f29e140a9abd40e93bb9f66f0963638
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:44 2005 +0000

    Update package version number for X11R7 RC3 release.

commit f8652da907e902e4ee0b682851e2918a363f0d3d
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 04:41:49 2005 +0000

    Add check and cflags for malloc(0) returning NULL.

commit 5401f8a75cdc9ef218acda9a25f440ff136d2543
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:03:05 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit fcbf0710165e6f87633e5a044229172c81a90341
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:41 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit ef419a10f278e3fc66f2e4166c895e7ffcaab58d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:10 2005 +0000

    Update package version number for RC1 release.

commit 367dcdc269e67130569ad4665a50fe053070afe7
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:00:08 2005 +0000

    Use @LIB_MAN_SUFFIX@ instead of $(LIB_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 8ec9b7efc4f3d9fca2ba25f090b282469c996145
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 21:13:21 2005 +0000

    Rename .shadows.DONE to shadows.DONE to avoid some make's thinking it's a
        suffix rule (reported by Matthieu Herrb)

commit 6967e23708c1411c3ce0fd832f811bb769c99626
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 04:25:46 2005 +0000

    Add generated man pages to .cvsignores

commit 7e777d014ec5b9c768f9c0d5a6dc27ff7e89135b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Oct 12 01:01:29 2005 +0000

    Use sed to put version number in man page Add shadow man pages for man
        pages that document multiple functions.

commit af2031f4df3080f91ff258b92a4d373b5f28ef48
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 5 19:55:52 2005 +0000

    Added missing file to EXTRA_DIST

commit 403868cc906504c2339a7e204dad39b735b53440
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:51 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit e715500a2a4e21adc162bbc0bb3edb60a131831a
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 07:10:44 2005 +0000

    Set soversion to 6.0.0 using -version-number.

commit 8603538c6ab5488e70179bdfcf46196b7defe253
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jul 12 07:59:16 2005 +0000

    Change version to 1.3.0 and soversion to 6.0.0; add XIint.h to distfiles.

commit da5d2fbc2d5ed6ebe09d69816e5d9ac9972a04b2
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:40:48 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit 411d59f535e4b5bda9c0fed9384506500c2c18ca
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Fri Jul 1 20:09:11 2005 +0000

    xtrap.pc.in: s/Xfixes/XTrap/ xi.pc.in: s/Xt/Xi/ Xv/src/Makefile.am: remove
        whitespace after backslash modularizeapp.sh: s/destkop/desktop/
        modular/symlink.sh: Add bitmaps for xeyes, system.xsm for xsm, and
        Xvidtune.cpp for xvidtune. Also comment out non-existing mga_bios.h
    Check in buildsystems for xsetroot, xsm, xstdcmap, xtrap, and xvinfo

commit 42f0c4cae76a67e6684b3b3e76d61780a197c798
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Jul 1 16:16:15 2005 +0000

    spell freedesktop.org correctly

commit b50e6e06f22d3c653166e1817d75c3f4a98b2748
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun May 22 19:37:27 2005 +0000

    Autotool libXi

commit c1990aed3deb74e3bec72a99bf43debe53d8506a
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:44 2004 +0000

    Merging XORG-CURRENT into trunk

commit 1ca71687d852a2aba9389f71af0c9df396bbb4b3
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:32:12 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit e1cf8e198c35b65c95d54a5dfe888e054f4b7056
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:11:28 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 07b3ed21a6223e9d913e8222bf3a94174a82383a
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:33 2004 +0000

    readding XFree86's cvs IDs

commit 52336bb78203b3ee478404ba8bf680ae305a0d31
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:43 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 1b4f7c4f6dbbc62db74f433a73d129ae507642cd
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:15 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 3986f13c9319b4f64c7b2ec56391370735e7d51d
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:49 2003 +0000

    XFree86 4.3.0.1

commit 6b1f87ebe718c9c745d5f4b26343ee3cf34ff5cc
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:49 2003 +0000

    Initial revision

commit 981020ce68e4c8d9c0dafba631b0fd3328d7fc59
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:38 2003 +0000

    R6.6 is the Xorg base-line
